package com.mowahs.mwcf.site.forms;

import java.util.Vector;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

public final class AddNewRuleForm extends ActionForm {
	
	private String name;
	private String warning;
	private String submit;
	
	private String charac;
	private int value;
	private String operator;
	private String relation;
	
	private Vector rule;
	
	public AddNewRuleForm() {
		super();
		this.rule = new Vector();
	}
	
	public String getName() {
		return this.name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getWarning() {
		return warning;
	}
	
	public void setWarning(String warning) {
		this.warning = warning;
	}
	
	public String getSubmit() {
		return submit;
	}
	
	public void setSubmit(String sub) {
		this.submit = sub;
	}
	
	public String getCharac() {
		return charac;
	}
	
	public void setCharac(String charac) {
		this.charac = charac;
	}
	
	public int getValue() {
		return value;
	}
	
	public void setValue(int value) {
		this.value = value;
	}
	
	public String getOperator() {
		return operator;
	}
	
	public void setOperator(String operator) {
		this.operator = operator;
	}
	
	public String getRelation() {
		return relation;
	}
	
	public void setRelation(String relation) {
		this.relation = relation;
	}
	
	public Vector getRule() {
		return rule;
	}
	
	public void setRule(Vector rule) {
		this.rule = rule;
	}
	
	public void addRule(Integer val) {
		rule.add(val);
	}
	
	public void addRule(String opRelCha) {
		rule.add(opRelCha);
	}
	
	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		ActionErrors errors = new ActionErrors();
		
		if(submit != null && submit.equals("Save rule") && (name == null || name.length() == 0))
			errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("rule.name.required"));
		if(submit != null && submit.equals("Save rule") && (warning == null || warning.length() == 0))
			errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("rule.warning.required"));
		if(submit != null && submit.equals("Add rule fragment") && (operator == null))
			errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("rule.operator.required"));
		if(submit != null && submit.equals("Add rule fragment") && (relation == null))
			errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("rule.relation.required"));
		if(submit != null && submit.equals("Add rule fragment") && (value == 0))
			errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("rule.value.required"));
		if(submit != null && submit.equals("Add rule fragment") && (charac == null))
			errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("rule.character_id.required"));
			
		
		return errors;
	}
}