package com.mowahs.mwcf.site.forms;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

public final class CharacteriseTaskForm extends ActionForm {

	/**
	 * The value of the submit button the user pushes
	 */
	private String submit;
	
	/**
	 * A measure of the importance of the task
	 */
	private int weight;	
	
	
	
	
	public String getSubmit() {
		return this.submit;
	}
	
	public void setSubmit(String submit) {
		this.submit = submit;
	}
	
	public int getWeight() {
		return this.weight;
	}
	
	public void setWeight(int weight) {
		this.weight = weight;
	}
   

    /**
     * Reset all properties to their default values.
     *
     * @param mapping The mapping used to select this instance
     * @param request The servlet request we are processing
     */
    public void reset(ActionMapping mapping, HttpServletRequest request) {
    	this.submit = null; 
    	this.weight = -1;  

    }


    /**
     * Validate the properties that have been set from this HTTP request,
     * and return an <code>ActionErrors</code> object that encapsulates any
     * validation errors that have been found.  If no errors are found, return
     * <code>null</code> or an <code>ActionErrors</code> object with no
     * recorded error messages.
     *
     * @param mapping The mapping used to select this instance
     * @param request The servlet request we are processing
     */
    
    public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {

   		ActionErrors errors = new ActionErrors();
        
        return errors;
   	}


}