<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="login.jsp"/>
</logic:notPresent>
<logic:notEqual name="user" property="accessLevel" value="a">
	<jsp:forward page="login.jsp"/>
</logic:notEqual>

<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
          	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            <jsp:include page="menu_elements/admin_menu.html" flush="true"/>
           	</table>	           
            <p>&nbsp;</p>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375"><img src="images/pixel_336699.gif" width="1" height="100%"></td>	
          <td width="5">&nbsp;</td>	
          <td width="837" align="left" valign="top" height="375"> 
          <table border="0" width="400" height="22">
			<tr><td height="5"></td></tr>

				<html:form action="add_rule.do" focus="name">

				<tr class="header2">
	 				<td width="400" height="18" colspan="2">
	 					Add a new consistency rule to the framework
	 				</td>
				</tr>
				<tr class="black10p">
	 				<td width="400" height="18" colspan="2">
	 					Enter the name of the consistency rule and the warning to be diplayed to the user.
	 					Enter fragments of the rule by selecting a characteristic, its operator and value,
						and then select the fragments relation to the next fragment.
						When completed push the "add fragment" button before you specify the next fargment.
						<br>
						The final fragment should have the "end" relation selected.
		 			</td>
				</tr>
				<tr>
    				<td height="18" colspan="2">
    				</td>
    				</tr>
				<tr class="header">
					<td width="400" colspan="2" height="18">Rule details
					</td>
    				</tr>
				<tr class="contentgrey">
					<td width="100" class="black10p" height="25">
						Name
					</td>
					<td width="300" class="black10p" align="left" height="25">
						<html:text property="name" size="50" styleClass="black10p"/>
					</td>
				</tr>		
				<tr class="contentblue">
	    				<td width="100" class="black10p" height="33">
	    					Warning
	    				</td>
	    				<td width="300" class="black10p" height="33" align="left">
						<html:textarea rows="3" property="warning" cols="69" styleClass="black10p"/>	
					</td>
				</tr>
				<tr class="contentgrey">
					<td width="100" class="black10p" height="25">
						Rule fragment
					</td>
					<td width="300" class="black10p" align="left" height="25">
						<table>
							<tr>
								<td>
								<html:select property="charac">
								<logic:present name="group">
								<logic:iterate name="group" property="groups" id="thisgroup">
								<logic:iterate name="thisgroup" property="characteristics" id="thischarac">
								<html:option value="<%=((com.mowahs.mwcf.framework.CharacteristicBean)thischarac).getName() %>">
								<bean:write	name="thischarac" property="name"/>
								</html:option>
								</logic:iterate>
								</logic:iterate>
								</logic:present>
								</html:select>
								</td>
							</tr>
							<tr>
								<td>
								<html:select property="operator">
								<html:option value="eq">
								= (eq)
								</html:option>
								<html:option value="ge">
								>= (ge)
								</html:option>
								</html:select>
								</td>
							</tr>
							<tr>
								<td>
								<html:select property="value">
								<html:option value="1"/>
								<html:option value="2"/>
								<html:option value="3"/>
								<html:option value="4"/>
								<html:option value="5"/>	
								</html:select>
								</td>
							</tr>
							<tr>
								<td>
								<html:select property="relation">
								<html:option value="or">
								V (or)
								</html:option>
								<html:option value="then">
								-> (then)
								</html:option>
								<html:option value="end">
								(end)
								</html:option>
								</html:select>									
								</td>
							</tr>
							<td>
								<html:submit value="Add fragment" property="submit" styleClass="black10p"/>
								<html:submit value="Remove fragment" property="submit" styleClass="black10p"/>
							</td>
						</table>
					</td>
				</tr>
				<tr class="contentblue">
	    				<td width="100" class="black10p" height="33">
	    					Rule
	    				</td>
	    				<td width="300" class="black10p" height="33" align="left">
						<% int j = 0; %>
						<logic:iterate name="addNewRuleForm" property="rule" id="thisrule">
	    					<% if(j == 3) { %>
	    						<br>
	    						<bean:write name="thisrule" />
	    						<br>
	    					<% j = 0; } else if(j == 1) {%>
	    						<b><font size="2"><bean:write name="thisrule" /></font></b>
	    					<% j++;} else { %>
	    						<bean:write name="thisrule" />
	    					<% j++;} %>
	    						
						</logic:iterate>
					</td>
				</tr>
				<tr>
   					<td width="400" class="black10p" height="27">
					</td>
					<td width="400" class="black10p" height="27" colspan="2" align="right">
						<html:submit value="Save rule" property="submit" styleClass="black10p"/>
						<html:submit value="Cancel" property="submit" styleClass="black10p"/>
					</td>
				</tr>

		



				</html:form>
				<tr>
				 	<td colspan="2">
				 		<html:errors/>
				 	</td>
				</tr>
          	</table>
          	
 			</td>	
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
  <tr>
  	<td class="black10p">
  		&copy;2003 by NTNU.
  	</td>
  </tr>
</table>
</body>

</html:html>

