<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="login.jsp"/>
</logic:notPresent>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
            <logic:present name="user">
            	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            </logic:present>
            <logic:equal name="user" property="accessLevel" value="a">
            	<jsp:include page="menu_elements/admin_menu.html" flush="true"/>
            </logic:equal>
			</table>	           
            
            <p>&nbsp;</p>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375"><img src="images/pixel_336699.gif" width="1" height="100%"></td>	
          <td width="837" align="left" valign="top" height="375"> 
          <table width="400" height="165">
	  			<html:errors/>
				<html:form action="create_scenario.do">
    				<tr>
						<td width="400" colspan="3" height="21" class="category">
						Create scenario <i><bean:write name="createScenarioForm" property="name"/></i>
						</td>
    				</tr>
    			
    			
    			<!-- FIRST STEP -------------------------------------------------->
    			
    			
    			<logic:equal name="createScenarioForm" property="step" value="1">

    				<tr>
		 				<td width="400" colspan="2" height="18" class="black10p"> 
		 					Create a new mobile scenario by assigning the scenario a name and description in the fields below. 
		 					The name of the scenario should be descriptive since it will be used to identify the scenario.
		 					You may also add roles to the scenario.
		 					<br>
		 					(Fields marked with <font size="2" color="#FF0000">*</font> are required.)
		 				</td>
    				</tr>
    				<tr>
    					<td height="18" colspan="2">
    					</td>
    				</tr>
    				<tr class="header">
						<td width="400" colspan="2" height="18">Scenario details
						</td>
    				</tr>
    				<tr class="contentgrey">
						<td width="100" class="black10p" height="25">Name<font size="2" color="#FF0000">*</font>
						</td>
						<td width="300" class="black10p" align="left" height="25">
  							<html:text property="name" size="67" styleClass="black10p"/>
  						</td>
    				</tr>
    				<tr class="contentblue">
	    				<td width="100" class="black10p" height="33">Description
	    				</td>
	    				<td width="300" class="black10p" height="33" align="left">
	   						<html:textarea rows="3" property="description" cols="69" styleClass="black10p"/>
	    				</td>
    				</tr>
    				<tr class="contentgrey">
						<td width="100" class="black10p" height="25">Role<font size="2" color="#FF0000">*</font>
						</td>
						<td width="300" class="black10p" align="left" height="25">
  							<html:text property="role" size="67" styleClass="black10p"/>
  						</td>
    				</tr>
       			</logic:equal>	
    				
    				
    			<!-- SECOND STEP -------------------------------------------------->
    				
    				
    			<logic:equal name="createScenarioForm" property="step" value="2">
    				<tr>
		 				<td width="400" colspan="2" height="18" class="black10p"> 
		 				
		 					The following pages will guide you through the process of creating a scenario. 
		 					Please assign a name, description and role to the new mobile scenario in the fields below. 
		 					<br>
		 					You may at any point choose to finish by clicking the "Finish" button and the scenario will be saved for future reference.
		 					<br> 
		 					Please add a task to the scenario.
		 				</td>
    				</tr>
    				<tr>
    					<td height="18" colspan="2">
    					</td>
    				</tr>
    				<tr class="header">
				    	<td width="400" colspan="2" height="18" >Add task to scenario</td>
				    </tr>
				    <tr class="contentgrey">
				    	<td width="145" class="black10p" height="3">Task name<font size="2" color="#FF0000">*</font></td>
				    	<td width="145" class="black10p" height="3" align="left">
				      		<html:text property="taskName" size="67" styleClass="black10p"/>
				    	</td>
				   	</tr>
				   	<tr class="contentblue">
				    	<td width="145" class="black10p" height="1">Description</td>
				    	<td width="145" class="black10p" height="1" align="left">
				      		<html:textarea rows="3" property="taskDescription" cols="69" styleClass="black10p"/>
				    	</td>
				  	</tr>
				   	<tr class="contentgrey">
				    	<td width="145" class="black10p" height="9">Responsible<font size="2" color="#FF0000">*</font></td>
				    	<td width="145" class="black10p" height="9" align="left">
				      		<bean:write name="createScenarioForm" property="role"/>
				       	</td>
				  	</tr>
					
    				</logic:equal>
    				
					<!-- THIRD STEP -------------------------------------------------->
    				
    				
    				<logic:equal name="createScenarioForm" property="step" value="3">
    				
    				<tr>
		 				<td width="400" colspan="3" height="18" class="black10p"> 
		 					Please specify the preconditions of the task. If there are no preconditions, please click the "Next" button to skip this step.
		 				</td>
    				</tr>
    				<tr>
    					<td height="18" colspan="3">
    					</td>
    				</tr>
    				<tr class="header">
				    	<td width="400" colspan="3" height="18" >Preconditions of <i><bean:write name="createScenarioForm" property="taskName"/></i></td>
				    </tr>
    				<tr class="contentgrey">
				    	<td width="75" class="black10p" height="74" rowspan="3">Preconditions</td>
				    	<td width="64" class="black10p" height="25">Location</td>
				    	<td width="145" class="black10p" height="25" align="left">
				      		<html:text property="preLocation" size="67" styleClass="black10p"/>
				    	</td>
				 	</tr>
				    <tr class="contentgrey">
				    	<td width="64" class="black10p" height="25">Resources</td>
				    	<td width="145" class="black10p" height="25" align="left">
				      		<html:text property="preResources" size="67" styleClass="black10p"/>
				   		</td>
				   	</tr>
				    <tr class="contentgrey">
				    	<td width="64" class="black10p" height="16">Tasks</td>
				    	<td width="145" class="black10p" height="1" align="left">
				      		
				    	</td>
				   	</tr>
				   	</logic:equal>
				   	
				   	<!-- FOURTH STEP -------------------------------------------------->
				    
				    <logic:equal name="createScenarioForm" property="step" value="4">
				    <tr class="contentgrey">
				    	<td width="75" class="black10p" height="24" rowspan="3">Postconditions</td>
				    <td width="64" class="black10p" height="10">Location</td>
				    <td width="145" class="black10p" height="10" align="left">
				      <html:text property="postLocation" size="32" styleClass="black10p"/>
				    </td>
				        </tr>
				        <tr class="contentgrey">
				    <td width="64" class="black10p" height="8">Resources</td>
				    <td width="145" class="black10p" height="10" align="left">
				      <html:text property="postResources" size="32" styleClass="black10p"/>
				    </td>
				        </tr>
				        <tr class="contentgrey">
				    <td width="64" class="black10p" height="1">Tasks</td>
				    <td width="145" class="black10p" height="1">
				      
				    </td>
				        </tr>
				        <tr class="contentblue">
				    <td width="75" class="black10p" height="1" rowspan="3">Dependencies</td>
				    <td width="64" class="black10p" height="3">Roles</td>
				    <td width="145" class="black10p" height="3">
				      
				    </td>
				   	</tr>
				   	<tr class="contentblue">
						<td width="64" class="black10p" height="1">Tasks</td>
					    <td width="145" class="black10p" height="1">
					     
					    </td>
				        </tr>
					<tr class="contentblue">
					    <td width="64" class="black10p" height="1">Composite</td>
					    <td width="145" class="black10p" height="1">
					      	<html:select size="1" property="composite" styleClass="black10p">
					        <html:option value="t">Yes</html:option>
					        <html:option value="f">No</html:option>
					      	</html:select>
					    </td>       
    				</tr>
    				
    				
    				</logic:equal>
    				
    				
    				
    				<tr>
	    				<td width="400" class="black10p" height="27" colspan="2">
	    				</td>
    				</tr>
    				<tr>
    					<td width="400" class="black10p" height="27">
    						<html:submit value="Cancel" property="submit" styleClass="black10p"/>&nbsp;
							<html:submit value="Finish" property="submit" styleClass="black10p"/>
						</td>
						<td width="400" class="black10p" height="27" colspan="2" align="right">
							<logic:greaterEqual name="createScenarioForm" property="step" value="2">
							<html:submit value="Back" property="submit" styleClass="black10p"/>&nbsp;
							</logic:greaterEqual>
  							<html:submit value="Next" property="submit" styleClass="black10p"/>
						</td>
    				</tr>
  					</html:form>				
    		</table>
 			</td>	
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
</table>
</body>

</html:html>
