<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="pda_login.jsp"/>
</logic:notPresent>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="220" border="0" align="left" cellpadding="0" cellspacing="0">
	<tr> 
    	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_top.gif"></td>
  	</tr>
  	<tr>
  	<td>
  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
  	<tr> 
  	
    <td valign="left" bgcolor="#DDDDDD" class="black10p">
    	<div align="left" class="black10p"><bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/></div>
   	</td>
    <td align="right" valign="bottom" bgcolor="#DDDDDD"> 
      <div align="right" class="black10p"><html:link forward="pda_log_out" styleClass="pda_menulinks">Log Out</html:link></div>
    </td>
  	</tr>
  	<tr>
  		<td colspan="2">
  			<logic:present name="user">
            	<jsp:include page="menu_elements/pda_reg_user_menu.html" flush="true"/>
            </logic:present>
  		</td>
  	</tr>
  	</table>
  	</td>
  	</tr>
  	<tr>
  	<td>
  	<!-- Page starts -->

<table width="100%">
          	<tr><td height="5"></td></tr>
          	  	<tr>
					<td colspan="2" class="pda_category">
					Characterise task: <i><bean:write name="task" property="name"/></i>
					</td>
				</tr>
				<logic:present name="task" property="name">
				<html:form action="pda_characterise_task.do">
				<tr>
					<td colspan="2" class="black10p">
						<html:errors/>
						The task weight is a measure of the importance of a task.
						<br>
						Please assign this task a weight between 1 and 5.
					</td>
				
				</tr>
          		<tr>
          		<td colspan="2">
          		<table width="100%" height="165" cellspacing="0" border="0">
          			<tr class="pda_headerblue">
			    		<td colspan="2" height="18">
			    			Details of this task
			    		</td>
			        </tr>
			        <tr class="contentlite" >
			        	<td class="black10p">Name</td>
						<td class="black10p">
			        		<bean:write name="task" property="name"/>
			       		</td>
			        </tr>
			       	<tr class="contentlight">
			    		<td class="black10p">Description</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="description"/></p>
			    		</td>
			        </tr>
			       	<tr class="contentlite">
			    		<td class="black10p">Responsible</td>
			    		<td class="black10p">
			    		<logic:present name="task" property="responsible">
			      			<logic:iterate name="scenario" property="roles" id="role">
			      				<logic:equal name="task" property="responsible" value="<%=String.valueOf(((com.mowahs.mwcf.framework.RoleBean)role).getRoleID())%>">
			      					<bean:write name="role" property="name"/><br>
			      				</logic:equal>
			      			</logic:iterate>
			      		</logic:present>
			      		</td>
			      	</tr>
					<tr class="contentlight">
			    		<td class="black10p">Preconditions</td>
			    		<td></td>
			    	</tr>
			    	<tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Location</td>
			    		<td class="black10p">
			      			<bean:write name="task" property="preLocation"/>
			    		</td>
			       	</tr>
			        <tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Resources</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="preResources"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tasks</td>
			    		<td class="black10p">
			      			<logic:present name="task" property="preTasks">
			      				<logic:iterate name="task" property="preTasks" id="pre">
			      					<logic:iterate name="scenario" property="tasks" id="thisTask">
			      						<logic:equal name="pre" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)thisTask).getTaskID())%>">
			      							<bean:write name="thisTask" property="name"/><br>		
			      						</logic:equal>
				      				</logic:iterate>
				      			</logic:iterate>
			      			</logic:present>
			      			<logic:notPresent name="task" property="preTasks">
			      				None
			      			</logic:notPresent>
			      			
			    		</td>
			        </tr>
			        <tr class="contentlite">
			    		<td class="black10p">Postconditions</td>
			    		<td></td>
			    	</tr>
			    	<tr class="contentlite">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Location</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="postLocation"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlite">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Resources</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="postResources"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlite">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tasks</td>
			    		<td class="black10p">
			    			<logic:present name="task" property="postTasks">
			      				<logic:iterate name="task" property="postTasks" id="post">
			      					<logic:iterate name="scenario" property="tasks" id="thisTask">
			      						<logic:equal name="post" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)thisTask).getTaskID())%>">
			      							<bean:write name="thisTask" property="name"/><br>		
			      						</logic:equal>
				      				</logic:iterate>
				      			</logic:iterate>
			      			</logic:present>
			      			<logic:notPresent name="task" property="postTasks">
			      				None
			      			</logic:notPresent>
			    		</td>
			        </tr>
			        <tr class="contentlight">
			    		<td class="black10p">Dependencies</td>
			    		<td></td>
			    	</tr>
			    	<tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Roles</td>
			    		<td class="black10p">
			      			<p align="left">
			      			<logic:present name="task" property="roleDependencies">
			      				<logic:iterate name="task" property="roleDependencies" id="thisrole">
			      					<logic:iterate name="scenario" property="roles" id="arole">
			      						<logic:equal name="thisrole" value="<%=String.valueOf(((com.mowahs.mwcf.framework.RoleBean)arole).getRoleID())%>">
			      							<bean:write name="arole" property="name"/><br>		
			      						</logic:equal>
				      				</logic:iterate>
				      			</logic:iterate>
			      			</logic:present>
			      			<logic:notPresent name="task" property="roleDependencies">
			      				None
			      			</logic:notPresent>
			      			</p>
			    		</td>
			        </tr>
			        <tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Composite</td>
			    		<td class="black10p">
			      			<bean:write name="task" property="composite"/><logic:equal name="task" property="composite" value="Yes">
								<logic:iterate name="task" property="subTasks" id="thisTask">, composed of:
									<logic:iterate name="scenario" property="tasks" id="sceneTask">
				        				<logic:equal name="thisTask" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)sceneTask).getTaskID())%>">
				        					<br><bean:write name="sceneTask" property="name"/>	
				        				</logic:equal>
				        			</logic:iterate>
				        		</logic:iterate>
			        		</logic:equal>
			      		</td>
			        </tr>
			        <logic:present name="task" property="weight">
			        <tr class="contentlite">
			    		<td class="black10p">
			    			Task weigth
			    		</td>
			    		<td class="black10p">
			    			<bean:write name="task" property="weight"/>
			    		</td>
			    	</logic:present>
          		</logic:present>
          		</table>
				</td>
    			<tr class="contentgrey">
      				<td height="20" class="black10p">Assign task weight:</td>
      				<td height="20" class="black10p">
        				<p align="right">
        				<bean:define name="task" id="tasken"/>
        				<html:select size="1" property="weight" styleClass="black10p" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)tasken).getWeight())%>">
  						<html:option value="1">1 - Very low</html:option>
  						<html:option value="2">2 - Low</html:option>
  						<html:option value="3">3 - Medium</html:option>
  						<html:option value="4">4 - High</html:option>
  						<html:option value="5">5 - Very high</html:option>
						</html:select></p>
						
					</td>
    			</tr>
    			<tr>
    				<td colspan="2">
    					<div align="right"><html:submit value="Next" property="submit" styleClass="black10p"/></div>
    				</td>
    			</tr>
    			</html:form>
	          	</logic:present>
          	</table>
          
          		
     <!-- Page ends -->
  	</td>
  	</tr>
  	<tr>
		<td>
			<html:errors/>
  		</td>
  	</tr>
  	<tr>
  	   	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_bottom.gif"></td>
  	</tr>
  	<tr>
	  	<td class="black10p">
  			&copy;2006 by NTNU.
  		</td>
  	</tr>	
</table>
</body>
</html:html>