<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="pda_login.jsp"/>
</logic:notPresent>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="220" border="0" align="left" cellpadding="0" cellspacing="0">
	<tr> 
    	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_top.gif"></td>
  	</tr>
  	<tr>
  	<td>
  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
  	<tr> 
  	
    <td valign="left" bgcolor="#DDDDDD" class="black10p">
    	<div align="left" class="black10p"><bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/></div>
   	</td>
    <td align="right" valign="bottom" bgcolor="#DDDDDD"> 
      <div align="right" class="black10p"><html:link forward="pda_log_out" styleClass="pda_menulinks">Log Out</html:link></div>
    </td>
  	</tr>
  	<tr>
  		<td colspan="2">
  			<logic:present name="user">
            	<jsp:include page="menu_elements/pda_reg_user_menu.html" flush="true"/>
            </logic:present>
  		</td>
  	</tr>
  	</table>
  	</td>
  	</tr>
  	<tr>
  	<td>
  	<!-- Page starts -->

	<table border="0" width="100%">
          <tr><td height="5"></td></tr>
          
          <html:form action="pda_show_rule.do">
          <tr class="pda_category">
		  <td colspan="4">
				Edit characterisation
		  </td>
		  </tr>
          <tr>
		  <td colspan="4" class="black10p">
			Below you can change the score of all the characterizations involved in this consistency rule
		 	<br>
		  	<br>
		  </td>
		  </tr>
          <% int j = 0; int k = 0; int l = 0;%>
          <bean:define name="task" id="tasken"/>          
          <logic:iterate name="showrule" property="rules" id="thisrule">
          <% if(j==0){ k++; %>
          <tr class="pda_header" align="left" valign="top"> 
	                <td colspan="3">
	                <bean:write name="thisrule" property="name"/>
	                </td>
	      </tr>
          <tr align="left" class="contentgrey">
          <td class="black10p" colspan="3">
          <bean:write name="thisrule" property="warning"/>
          </td>
          </tr>
          <tr align="left" valign="top" class="contentblue">
          <td class="black10p">
          <bean:write name="thisrule" property="characteristic"/>
          </td>
          <td class="black10p">
          &nbsp;<bean:write name="thisrule" property="operator"/>&nbsp;
          </td>
          <td class="black10p">
          &nbsp;<bean:write name="thisrule" property="value"/>&nbsp;
          </td>
          <logic:iterate name="rulecharacs" property="characteristics" id="thischarac">
          <% l++; if(k==l) {%>
          <tr class="contentblue">
          <td class="black10p" colspan="3">
          <bean:write name="thischarac" property="description"/>
          </td>
          </tr>
          <tr class="contentblue">
          <td class="black10p">
          Your value: 
          </td>
          <td colspan="2" align="right">
          <html:select property="newValues" styleClass="black10p" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)tasken).getValueOfCharacteristic(((com.mowahs.mwcf.framework.RuleBean)thisrule).getCharacteristicID()))%>">
				<html:options name="thischarac" property="values" labelName="thischarac" labelProperty="descriptions"/>
		  </html:select>
		  </td>
		  </tr>
		  <% } %>
		  
		  </logic:iterate>
		  <% l=0; %>
          
          </tr>
          <tr align="left" valign="top" class="contentblue">
          <td class="black10p" colspan="3">
          <bean:write name="thisrule" property="relation"/>
          </td>
          </tr>
          <% j=1;} else { k++;%>
          <tr align="left" valign="top" class="contentblue">
          <td class="black10p">
          <bean:write name="thisrule" property="characteristic"/>
          </td>
          <td class="black10p">
          &nbsp;<bean:write name="thisrule" property="operator"/>&nbsp;
          </td>
          <td class="black10p">
          &nbsp;<bean:write name="thisrule" property="value"/>&nbsp;
          </td>
          <logic:iterate name="rulecharacs" property="characteristics" id="thischarac">
          <% l++; if(k==l) {%>
          <tr class="contentblue">
          <td class="black10p" colspan="3">
          <bean:write name="thischarac" property="description"/>
          </td>
          </tr>
          <tr class="contentblue">
          <td class="black10p">
          Your value: 
          </td>
          <td colspan="2" align="right">
          <html:select property="newValues" styleClass="black10p" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)tasken).getValueOfCharacteristic(((com.mowahs.mwcf.framework.RuleBean)thisrule).getCharacteristicID()))%>">
				<html:options name="thischarac" property="values" labelName="thischarac" labelProperty="descriptions"/>
		  </html:select>
		  </td>
		  </tr>
		  <% } %>
		  </logic:iterate>
		  <% l=0; %>
          </tr>
          <tr align="left" valign="top" class="contentblue">
          <td class="black10p" colspan="3">
          <bean:write name="thisrule" property="relation"/>
          </td>
          </tr>
          <% } %>
          </logic:iterate>
          <tr>
          <td colspan="3" align="right">
          <html:submit value="Save" property="submit" styleClass="black10p"/>
          </td>
          </tr>
          </html:form>
          
          
          </table>


 	<!-- Page ends -->
  	</td>
  	</tr>
  	<tr>
		<td>
			<html:errors/>
  		</td>
  	</tr>
  	<tr>
  	   	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_bottom.gif"></td>
  	</tr>
  	<tr>
	  	<td class="black10p">
  			&copy;2006 by NTNU.
  		</td>
  	</tr>	
</table>
</body>
</html:html>