<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>



<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="220" border="0" align="left" cellpadding="0" cellspacing="0">
	<tr> 
    	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_top.gif"></td>
  	</tr>
  	<tr>
  	<td>
  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
  	<tr> 
  	
    <td valign="left" bgcolor="#DDDDDD" class="black10p">
    	<logic:present name="user"><bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/></logic:present>
    	<logic:notPresent name="user">User: not logged in</logic:notPresent>
   	</td>
    <td align="right" valign="bottom" bgcolor="#DDDDDD"> 
      <logic:present name="user"><div align="right" class="black10p"><html:link forward="pda_log_out" styleClass="pda_menulinks">Log Out</html:link></div></logic:present>
    </td>
  	</tr>
  	<tr>
  		<td colspan="2">
  			<logic:present name="user">
            	<jsp:include page="menu_elements/pda_reg_user_menu.html" flush="true"/>
            </logic:present>
            <logic:notPresent name="user">
           		<jsp:include page="menu_elements/pda_user_menu.html" flush="true"/>
            </logic:notPresent>
  		</td>
  	</tr>
  	</table>
  	</td>
  	</tr>
  	<tr>
  	<td>
  	<!-- Page starts -->
  	
  	
          <table border="0" width="100%">
          <tr><td height="5"></td></tr>
          	  	<tr>
					<td colspan="3" class="pda_category">
						Characterisation and analysis of scenario: <i><bean:write name="scenario" property="name"/></i>
					</td>
				</tr>
		 		<logic:present name="group" property="groups">
		 		<logic:present name="scenario">
				<tr>
					<td class="black10p">
						<html:errors/>
						Below is the characterisation average of this scenario.
						
						<br>
						<html:link forward="pda_view_characterisation" paramId="analysis" paramName="scenario" paramProperty="scenarioID">View complexity indicators</html:link>.
						<br>
						<br>
					</td>
				</tr>
				<tr class="pda_headerblue">
					<td>
						<bean:write name="scenario" property="name"/>
					</td>
					
					<td>
						Average
					</td>
				</tr>
				<tr class="contentlight">
					<td class="black10p">
						Weight
					</td>
					<td class="black10p" align="right">
						<bean:write name="scenario" property="weightAverage"/>
					</td>
				</tr>
				<logic:iterate name="group" property="groups" id="thisgroup">
				<tr height="1">
					<td height="1">&nbsp;
					</td>
				</tr>
				<tr class="headergolden">
				    <td class="black10p" colspan="2">
				    	<bean:write name="thisgroup" property="name"/>&nbsp;characteristics:
				    </td>
				</tr>
					<%! int i = 0; int j = 0; %>
					<logic:iterate name="thisgroup" property="characteristics" id="characteristic">
					<% if(j==0) { j=j+1; %>
					<tr class="contentlite">
					<% } else { j=j-1; %>
					<tr class="contentlight">
					<% }%>
						<td class="black10p">
							<bean:write name="characteristic" property="name"/>
						</td>
						
						<td class="black10p" align="right">
							<bean:write name="characteristic" property="scenarioAverage"/>
						</td>
					</tr>
					</logic:iterate>
	    		</logic:iterate>
    			<tr height="1">
					<td height="1">&nbsp;
					</td>
				</tr>
				<tr class="pda_headerblue">
					<td>
						Task average
					</td>
					
					<td align="right" valign="bottom">
						<logic:present name="scenario" property="scenarioAverage">
							<bean:write name="scenario" property="scenarioAverage"/>
						</logic:present>
					</td>
				</tr>
    			</logic:present>
    			</logic:present>
    			<tr>
    			 <td>&nbsp;
    			 </td>
    			</tr>
	       	</table>
  	
  	<!-- Page ends -->
  	</td>
  	</tr>
  	<tr>
		<td>
			<html:errors/>
  		</td>
  	</tr>
  	<tr>
  	   	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_bottom.gif"></td>
  	</tr>
  	<tr>
	  	<td class="black10p">
  			&copy;2006 by NTNU.
  		</td>
  	</tr>	
</table>
</body>
</html:html>