<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="220" border="0" align="left" cellpadding="0" cellspacing="0">
	<tr> 
    	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_top.gif"></td>
  	</tr>
  	<tr>
  	<td>
  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
  	<tr> 
  	
    <td valign="left" bgcolor="#DDDDDD" class="black10p">
    	<logic:present name="user"><bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/></logic:present>
    	<logic:notPresent name="user">User: not logged in</logic:notPresent>
   	</td>
    <td align="right" valign="bottom" bgcolor="#DDDDDD"> 
      <logic:present name="user"><div align="right" class="black10p"><html:link forward="pda_log_out" styleClass="pda_menulinks">Log Out</html:link></div></logic:present>
    </td>
  	</tr>
  	<tr>
  		<td colspan="2">
  			<logic:present name="user">
            	<jsp:include page="menu_elements/pda_reg_user_menu.html" flush="true"/>
            </logic:present>
            <logic:notPresent name="user">
           		<jsp:include page="menu_elements/pda_user_menu.html" flush="true"/>
            </logic:notPresent>
  		</td>
  	</tr>
  	</table>
  	</td>
  	</tr>
  	<tr>
  	<td>
  	<!-- Page starts -->
  	
  	<table border="0" width="100%">
          	          	  	<tr>
					<td colspan="4" class="pda_category">
					Scenario analysis
					</td>
				</tr>
				<logic:present name="scenario" property="scenarios">
				<jsp:useBean id="scenario" scope="session" class="com.mowahs.mwcf.framework.ScenarioBean"/>
				<% if(scenario != null && scenario.getScenarios() != null && !(scenario.getScenarios().isEmpty())) {%>
				<tr>
					<td colspan="4" class="black10p">
						Please select a scenario
						<br>
					</td>
				
				</tr>
				<tr align="left" valign="top" class="pda_header"> 
	                <td>No</td>
	                <td>Scenario</td>
	                <td>Description</td>
	                <td>Created by</td>
            	</tr>
				<%! int i = 0; int j = 0; %>
				<logic:iterate name="scenario" property="scenarios" id="scene">
				<% if(j==0) { j=j+1; %>
				<tr align="left" valign="top" class="contentgrey">
				<% } else { j=j-1; %>
				<tr align="left" valign="top" class="contentblue">
				<% }%>
					<td class="black10p"><%= (i=i+1) %></td>
					<td class="black10p"><html:link forward="pda_view_characterisation" paramId="scenarioId" paramName="scene" paramProperty="scenarioID"><bean:write name="scene" property="name"/></html:link></td>
					<td class="black10p"><bean:write name="scene" property="description"/></td>
					<td class="black10p"><bean:write name="scene" property="creator"/></td>
	            </tr>
				</logic:iterate>
				<% i = 0; %>
				<% } else {%>
				<tr class="black10p">
	 				<td height="18" colspan="6" >
	 				There are currently no characterised scenarios (in the chosen category) in the database.  
	 				</td>
				</tr>
				<tr>
					<td class="black10p">
						Click "Create Scenario" to store your new scenario in the database or "Characterise Scenario" to characterise one of your existing scenario in the MWCF web site database.
					</td>
				</tr>
				<%}%>
				</logic:present>
	          	<logic:notPresent name="scenario" property="scenarios">
	          	<tr class="black10p">
	 				<td height="18" colspan="6" >
	 					There were no characterised scenarios in that category in the database.  
	 				</td>
				</tr>
				<tr>
					<td class="black10p">
						Click "Create Scenario" to store your new scenario in the database or "Characterise Scenario" to characterise one of your existing scenario in the MWCF web site database.
					</td>
				</tr>
	          </logic:notPresent>
	          <tr>
	          <td>
	          <br>
	          </td>
	          </tr>
          	</table>
  	
  	
  	<!-- Page ends -->
  	</td>
  	</tr>
  	<tr>
		<td>
			<html:errors/>
  		</td>
  	</tr>
  	<tr>
  	   	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_bottom.gif"></td>
  	</tr>
  	<tr>
	  	<td class="black10p">
  			&copy;2006 by NTNU.
  		</td>
  	</tr>	
</table>
</body>
</html:html>