<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="/login.jsp"/>
</logic:notPresent>

<logic:notEqual name="user" property="accessLevel" value="a">
	<jsp:forward page="/login.jsp"/>
</logic:notEqual>

<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  	<tr> 
    	<td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    	<td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  	</tr>
  	<tr> 
	    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
	    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      		<div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    	</td>
  	</tr>
  	<tr> 
    	<td width="385" valign="center" bgcolor="#999999" height="13">
    		<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    		<font color="#999999">.</font></font>
    		<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    		<bean:write name="user" property="accessLevelName"/>
    		<logic:present name="user" property="name"/>
    		:&nbsp;<bean:write name="user" property="name"/>
    		</logic:present>
    		</font></b></td>
    	<td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      		<div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div>
    	</td>
    	<td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  	</tr>
  	<tr bgcolor="#FFFFFF" align="left" valign="top"> 
    	<td colspan="3" height="383"> 
      		<table width="955" border="0" height="379">
        		<tr> 
          			<td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
            			<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            			<jsp:include page="menu_elements/admin_menu.html" flush="true"/>
						</table>	     
            			<p>&nbsp;</p>
	          		</td>
          			<td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375"><img src="images/pixel_336699.gif" width="1" height="100%"></td>
          			<td width="5">&nbsp;</td>
          			<td width="837" align="left" valign="top" height="375"> 
          			<table border="0" width="600" height="22">
          				<tr><td height="5"></td></tr>
	          			<tr class="category"> 
				  			<td width="600" height="18" colspan="5" >User Accounts</td>
				  		</tr>
				  		<tr>
					  		<td height="38" colspan="5" class="black10p" bgcolor="#FFFFFF">
								The users currently registered in the MWCF web system are shown below.
								<br>
								If you wish to delete a user from the database, be aware that all scenarios 
								created by this user (which includes all roles, tasks and characterisations) 
								will also be deleted when you click the link "delete" below.
					  		</td>
				  		</tr>
				  		<tr> 
				  			<td height="14" colspan="5" class="black10p" bgcolor="#FFFFFF">&nbsp;</td>
				  		</tr>
				  		<tr class="header"> 
				  			<td width="200" height="18">
				  				Email
				  			</td>
				  			<td width="200" height="18">
				  				Name
				  			</td>
				  			<td width="100" height="18">
				  				Access level
				  			</td>
				  			<td width="100" height="18" colspan="2">
				  				Options
				  			</td>
				  		</tr>
				  		<logic:present name="user" property="users">
				  		<%! int j = 0; %>
				  		<logic:iterate name="user" property="users" id="thisuser">
				  		<% if(j==0) { j=j+1; %>
						<tr class="contentgrey"> 
						<% } else { j=j-1; %>
						<tr class="contentblue">
						<% }%>
				  			<td class="black10p"> 
				      			<bean:write name="thisuser" property="email"/>
				    		</td>
				    		<td class="black10p"> 
				      			<bean:write name="thisuser" property="name"/>
				    		</td>
				    		<td class="black10p"> 
				      			<bean:write name="thisuser" property="accessLevelName"/>
				    		</td>
				    		<td width="50" class="black10p"> 
				      			<html:link forward="user_account" paramId="userId" paramName="thisuser" paramProperty="userID">Edit</html:link>
				      		</td>
				      		<td width="50" class="black10p"> 
				      			<html:link forward="delete_user" paramId="userId" paramName="thisuser" paramProperty="userID">Delete</html:link>
				      		</td>
				  		</tr>
				  		</logic:iterate>
				  		</logic:present>
				  		<tr> 
				  			<td width="300" height="14" colspan="3" class="black10p" bgcolor="#FFFFFF">&nbsp;</td>
				  		</tr>
				  		<tr> 
				  			<td width="300" height="14" colspan="3" class="black10p" bgcolor="#FFFFFF">
				    			<p align="right">
				    	
				    			</p>
				  			</td>
				  		</tr>
				  		
				  		<tr>
				  			<td>
				  				<html:errors/>
				  			</td>
				  		</tr>
          			</table>
 					</td>	
        		</tr>
      		</table>
    	</td>
	</tr>
	<tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
		<td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  	</tr>
  	<tr>
  		<td class="black10p">
  		&copy;2003 by NTNU. 
  	</td>

  	</tr>
</table>
</body>

</html:html>
