<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<logic:present name="user"><bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/></logic:present>
    	<logic:notPresent name="user">User: not logged in</logic:notPresent>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <logic:present name="user"><div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div></logic:present>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
            <logic:present name="user">
            	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            
            	<logic:equal name="user" property="accessLevel" value="a">
            		<jsp:include page="menu_elements/admin_menu.html" flush="true"/>
            	</logic:equal>
            </logic:present>
            <logic:notPresent name="user">
           		<jsp:include page="menu_elements/user_menu.html" flush="true"/>
            </logic:notPresent>
            </table>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375"><img src="images/pixel_336699.gif" width="1" height="100%"></td>	
  		  <td width="5">&nbsp;</td>
          <td width="810" align="left" valign="top" height="375"> 
          
          <!-- PAGE VIEW_CHARACTERISATION.JSP STARTS --------------------------------------->
          
          <table border="0" width="810">
          <tr><td height="5"></td></tr>
          	  	<tr>
					<td colspan="3" height="21" class="category">
						Characterisation and analysis of scenario: <i><bean:write name="scenario" property="name"/></i>
					</td>
				</tr>
		 		<logic:present name="group" property="groups">
		 		<logic:present name="scenario">
				<tr>
					<td colspan="20" class="black10p" height="30">
						<html:errors/>
						Below is the characterisation of this scenario. Only the tasks that have been 
						characterised are included. To the left are the weighted average values of each 
						characteristic and listed under the characterisations are the averages of each task characterisation. 
						The calculated mobile scenario complexity indicator is the overall mobile complexity indicator of 
						this scenario. 
						<br>
						To get the calculated complexity indicators of this scenario, <html:link forward="view_characterisation" paramId="analysis" paramName="scenario" paramProperty="scenarioID">click here</html:link>.
						<br>
						<br>
					</td>
				</tr>
				<tr class="headerblue">
					<td>
						<bean:write name="scenario" property="name"/>
					</td>
					<logic:iterate name="scenario" property="tasks" id="task">
						<logic:notEqual name="task" property="weight" value="0">
							<td class="headerbluesmall">
								<bean:write name="task" property="name"/>
							</td>
						</logic:notEqual>
					</logic:iterate>
					<td class="headerbluesmall">
						Average
					</td>
				</tr>
				<tr class="contentlight">
					<td class="black10p">
						Weight
					</td>
					<%!int sumweight = 0; int weig = 0;%>
					<logic:iterate name="scenario" property="tasks" id="task">
						<logic:notEqual name="task" property="weight" value="0">
							<td class="black10p" align="right">
								<bean:write name="task" property="weight"/>
								<% 	weig = ((com.mowahs.mwcf.framework.TaskBean)task).getWeight();
									if(weig > 0) sumweight = sumweight + weig; %>
							</td>
						</logic:notEqual>
					</logic:iterate>
					<td class="black10p" align="right">
						<bean:write name="scenario" property="weightAverage"/>
					</td>
				</tr>
				<logic:iterate name="group" property="groups" id="thisgroup">
				<tr height="1">
					<td colspan="20" height="1">&nbsp;
					</td>
				</tr>
				<tr class="headergolden">
				    <td width="130" colspan="20" class="black10p">
				    	<bean:write name="thisgroup" property="name"/>&nbsp;characteristics:
				    </td>
				</tr>
					<%! int i = 0; int j = 0; %>
					<logic:iterate name="thisgroup" property="characteristics" id="characteristic">
					<% if(j==0) { j=j+1; %>
					<tr class="contentlite">
					<% } else { j=j-1; %>
					<tr class="contentlight">
					<% }%>
						<td class="black10p">
							<bean:write name="characteristic" property="name"/>
						</td>
						<logic:iterate name="scenario" property="tasks" id="task">
							<logic:notEqual name="task" property="weight" value="0">
								<td class="black10p" align="right">
									<%=(Integer)((com.mowahs.mwcf.framework.TaskBean)task).getCharacterisation().get(new Integer(((com.mowahs.mwcf.framework.CharacteristicBean)characteristic).getCharacteristicID()))%>
								</td>
							</logic:notEqual>
						</logic:iterate>
						<td class="black10p" align="right">
							<bean:write name="characteristic" property="scenarioAverage"/>
						</td>
					</tr>
					</logic:iterate>
	    		</logic:iterate>
    			<tr height="1">
					<td colspan="20" height="1">&nbsp;
					</td>
				</tr>
				<tr class="headerblue">
					<td>
						Task average
					</td>
					<logic:iterate name="scenario" property="tasks" id="task">
						<td class="headerbluesmall" align="right" valign="bottom">
							<logic:present name="task" property="taskAverage"/>
							<bean:write name="task" property="taskAverage"/>
							</logic:present>
						</td>
					</logic:iterate>
					<td class="headerbluesmall" align="right" valign="bottom">
						<logic:present name="scenario" property="scenarioAverage">
							<bean:write name="scenario" property="scenarioAverage"/>
						</logic:present>
					</td>
				</tr>
    			</logic:present>
    			</logic:present>
    			<tr>
    			 <td>&nbsp;
    			 </td>
    			</tr>
	       	</table>
          	
          </td>		
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
  <tr>
  	<td class="black10p">
  		&copy;2003 by NTNU. 
  	</td>

  </tr>
</table>
</body>

</html:html>
