package com.mowahs.mwcf.site.actions;

import com.mowahs.mwcf.site.forms.*;
import com.mowahs.mwcf.framework.UserBean;
import com.mowahs.mwcf.framework.ScenarioBean;
import java.util.Vector;
import java.io.IOException;
import java.sql.Connection;
import java.sql.SQLException;
import javax.naming.*;
import javax.sql.DataSource;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;

public final class ShowScenariosAction extends Action {
  
  	public ActionForward perform(ActionMapping mapping, ActionForm form, 
  		HttpServletRequest request, HttpServletResponse response) 
  		throws IOException, ServletException {
			
			HttpSession session = request.getSession();
			ActionErrors errors = new ActionErrors();
			UserBean user = (UserBean) session.getAttribute("user");
			if(user == null)
				return mapping.findForward("not_logged_in");
			else {
				
				Connection conn = null;
				try {
					Context ctx = new InitialContext();
      				if(ctx == null ) 
          				throw new Exception("No Context");
      				DataSource dataSource = (DataSource)ctx.lookup("java:comp/env/jdbc/mwcfDB");
					conn = dataSource.getConnection();
					ScenarioBean scenario = new ScenarioBean();
					Vector scenes = scenario.getScenariosFromDB(conn, errors, user.getUserID());
					user.setScenarios(scenes);
				} catch(Exception sqle) {
					servlet.log("Connection.process", sqle);
					errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("error.database"));
				} finally {
					if(conn != null){
						try {
							conn.close();
						} catch (SQLException e){
		    				servlet.log("Connection.close", e);
		    				errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("database.not.closed"));
		    			}
		    		}					
				}				
			}	
		return mapping.findForward("success");	
	}
}
