package com.mowahs.mwcf.site.forms;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

/**
 * This ActionForm is used to validate the 
 *
 */
public final class AddNewGroupForm extends ActionForm {

	//The new group's name
	private String name;
	//The new group's description
	private String description;
	//The submit buttons value
	private String submit;
	
	
	public AddNewGroupForm() {
		super();
	}
	
	//---- Setter and getter methods ------------------------
	
	public void setName(String nm) {
		this.name = nm;
	}
	
	public String getName() {
		return this.name;
	}

	public void setDescription(String desc) {
		this.description = desc;
	}
	
	public String getDescription() {
		return this.description;
	}
	
	public void setSubmit(String sub) {
		this.submit = sub;
	}
	
	public String getSubmit() {
		return this.submit;
	}
	
	//---- Validate form --------------------------------------
	
	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		
		ActionErrors errors = new ActionErrors();
		
		if(submit.equals("Save group") && (name == null || name.length() == 0))
			errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("group.name.required"));
		if(submit.equals("Save group") && (description == null || description.length() == 0))
			errors.add(ActionErrors.GLOBAL_ERROR, new ActionError("group.description.required"));

		return errors;
		
	}

	//---- Reset ------------------------------------------------
	/**
	 * Called by the framework to reset the fields back to their default values.
	 */
	//public void reset(ActionMapping mapping, HttpServletRequest request) 
		


}