<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="login.jsp"/>
</logic:notPresent>

<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
            <logic:present name="user">
            	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            </logic:present>
            <logic:equal name="user" property="accessLevel" value="a">
            	<jsp:include page="menu_elements/admin_menu.html" flush="true"/>
            </logic:equal>
			</table>	           
            
            <p>&nbsp;</p>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375">
          	<img src="images/pixel_336699.gif" width="1" height="100%">
          </td>	
          <td width="5">&nbsp;</td>	
          <td width="837" align="left" valign="top" height="375"> 
          <table width="400" height="165">
          	<tr><td height="5"></td></tr>
	  			<html:form action="add_task.do">
    				<tr>
						<td width="400" colspan="3" height="21" class="category">
						Add task to scenario <i><bean:write name="scenario" property="name"/></i>
						</td>
    				</tr>
    			
    			
    			<!-- FIRST STEP -------------------------------------------------->
    			
    			
    			<logic:equal name="addTaskForm" property="step" value="1">
    			
    				<tr>
		 				<td width="400" colspan="2" height="18" class="black10p"> 
							Please specify the name, description and responsible of the task.
		 				</td>
    				</tr>
    				<tr>
    					<td height="18" colspan="2">
    					</td>
    				</tr>
    				<tr class="header">
				    	<td width="400" colspan="2" height="18" >Task details</td>
				    </tr>
				    <tr class="contentgrey">
				    	<td width="145" class="black10p" height="3">Task name<font size="2" color="#FF0000">*</font></td>
				    	<td width="145" class="black10p" height="3" align="left">
				      		<html:text property="taskName" size="67" styleClass="black10p"/>
				    	</td>
				   	</tr>
				   	<tr class="contentblue">
				    	<td width="145" class="black10p" height="1">Description</td>
				    	<td width="145" class="black10p" height="1" align="left">
				      		<html:textarea rows="3" property="taskDescription" cols="69" styleClass="black10p"/>
				    	</td>
				  	</tr>
				   	<tr class="contentgrey">
				    	<td width="145" class="black10p" height="9">Responsible<font size="2" color="#FF0000">*</font></td>
				    	<td width="145" class="black10p" height="9" align="left">
				    		<logic:present name="scenario" property="roles">
				    		<html:select property="responsible" size="1" styleClass="black10p">
				    			<html:option value="-1">Select one role</html:option>
				    			<logic:iterate name="scenario" property="roles" id="thisrole">
				    				<html:option value="<%=String.valueOf(((com.mowahs.mwcf.framework.RoleBean)thisrole).getRoleID())%>"><bean:write name="thisrole" property="name"/></html:option>
				    			</logic:iterate>	
				    		</html:select>
				    		</logic:present>
				       	</td>
				  	</tr>
					
    			</logic:equal>
    			
    			<!-- SECOND STEP ---------------------------------------------------> 	
    				
    			<logic:equal name="addTaskForm" property="step" value="2">
    			
    				<tr>
		 				<td width="400" colspan="3" height="18" class="black10p"> 
		 					Please specify the preconditions of the task. 
		 					If there are no preconditions, please click the "Next" button to 
		 					skip this step.<br>
		 					To select more than one task precondition, hold down "Ctrl" and click 
		 					on each task name.
		 				</td>
    				</tr>
    				<tr>
    					<td height="18" colspan="3">
    					</td>
    				</tr>
    				<tr class="header">
				    	<td width="400" colspan="3" height="18" >Preconditions of task: <i><bean:write name="addTaskForm" property="taskName"/></i></td>
				    </tr>
    				<tr class="contentgrey">
				    	<td width="75" class="black10p" height="74" rowspan="3">Preconditions</td>
				    	<td width="64" class="black10p" height="25">Location</td>
				    	<td width="145" class="black10p" height="25" align="left">
				      		<html:text property="preLocation" size="67" styleClass="black10p"/>
				    	</td>
				 	</tr>
				    <tr class="contentgrey">
				    	<td width="64" class="black10p" height="25">Resources</td>
				    	<td width="145" class="black10p" height="25" align="left">
				      		<html:text property="preResources" size="67" styleClass="black10p"/>
				   		</td>
				   	</tr>
				    <tr class="contentgrey">
				    	<td class="black10p" height="16">Tasks</td>
				    	<td class="black10p" align="left">
				      		<logic:present name="scenario" property="tasks">
				      		<html:select property="preTasks" multiple="true" styleClass="black10p">
				    			<html:option value="-1">- No task preconditions -&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</html:option>
				    			<logic:iterate name="scenario" property="tasks" id="thistask">
				    			<html:option value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)thistask).getTaskID())%>"><bean:write name="thistask" property="name"/></html:option>
				    			</logic:iterate>
				    		</html:select>
				    		</logic:present>
				    		<logic:notPresent name="scenario" property="tasks">
				    			There are currently no other tasks in this scenario.
				    		</logic:notPresent>
				    	</td>
				   	</tr>
				</logic:equal>
				
				<!-- THIRD STEP --------------------------------------------------->
				
				<logic:equal name="addTaskForm" property="step" value="3">
				
				    <tr>
		 				<td width="400" colspan="3" height="18" class="black10p"> 
		 					Please specify the postconditions of the task. If there are no postconditions, please click the "Next" button to skip this step.
		 				</td>
    				</tr>
    				<tr>
    					<td height="18" colspan="3">
    					</td>
    				</tr>
    				<tr class="header">
				    	<td width="400" colspan="3" height="18" >Postconditions of task: <i><bean:write name="addTaskForm" property="taskName"/></i></td>
				    </tr>				    
				    <tr class="contentblue">
				    	<td width="75" class="black10p" height="74" rowspan="3">Postconditions</td>
				    	<td width="64" class="black10p" height="10">Location</td>
				    	<td width="145" class="black10p" height="10" align="left">
				      <html:text property="postLocation" size="67" styleClass="black10p"/>
				    </td>
				        </tr>
				        <tr class="contentblue">
				    <td width="64" class="black10p" height="8">Resources</td>
				    <td width="145" class="black10p" height="10" align="left">
				      <html:text property="postResources" size="67" styleClass="black10p"/>
				    </td>
				        </tr>
				        <tr class="contentblue">
				    <td width="64" class="black10p" height="1">Tasks</td>
				    <td class="black10p" >
				     	<logic:present name="scenario" property="tasks">
			      		<html:select property="postTasks" multiple="true" styleClass="black10p">
			    			<html:option value="-1">- No task postconditions -&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</html:option>
			    			<logic:iterate name="scenario" property="tasks" id="thistask">
				    			<html:option value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)thistask).getTaskID())%>"><bean:write name="thistask" property="name"/></html:option>
				    		</logic:iterate>
			    		</html:select>
			    		</logic:present>
			    		<logic:notPresent name="scenario" property="tasks">
			    			There are currently no other tasks in this scenario.
			    		</logic:notPresent>
				    </td>
				</tr>
				</logic:equal>
				 
				<!-- FOURTH STEP  ---------------------------------------------------> 
				
				<logic:equal name="addTaskForm" property="step" value="4">
								    			
				<tr>
	 				<td width="400" colspan="3" height="18" class="black10p"> 
	 					Please specify any dependencies the task may have. Hold down 
	 					"Ctrl" and click to specify more than one role dependency.
	 					If there are no dependencies, please click the "Next" button to 
	 					skip this step. 
	 				</td>
				</tr>
				<tr>
					<td height="18" colspan="3">
					</td>
				</tr>
				<tr class="header">
			    	<td width="400" colspan="3" height="18" >Dependencies of task: <i><bean:write name="addTaskForm" property="taskName"/></i></td>
			    </tr>
				<tr class="contentgrey">
				    <td width="75" class="black10p" rowspan="3">Dependencies</td>
				    <td width="64" class="black10p">Roles</td>
				    <td width="145" class="black10p">
				    	<logic:present name="scenario" property="roles">
					    	<html:select property="dependencyRoles" multiple="true" styleClass="black10p">
					    	<html:option value="-1">- No role dependencies -&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</html:option>
					    	<logic:iterate name="scenario" property="roles" id="thisrole">
					    		<html:option value="<%=String.valueOf(((com.mowahs.mwcf.framework.RoleBean)thisrole).getRoleID())%>"><bean:write name="thisrole" property="name"/></html:option>
					    	</logic:iterate>	
					    	</html:select>
				    	</logic:present>
				    	
				    </td>
				</tr>
				<tr class="contentgrey">
				    <td width="64" class="black10p" height="1" rowspan="2">Composite</td>
				    <td width="145" class="black10p" height="1">
					   	<html:select property="composite" styleClass="black10p">
					        <option value="No">No
					        <option value="Yes">Yes
					   	</html:select>
				    </td>
				</tr>
				<tr class="contentgrey">
				    <td class="black10p" >
				     	<logic:present name="scenario" property="tasks">
			      		<html:select property="subTasks" multiple="true" styleClass="black10p">
			    			<html:option value="-1">- Select subtasks the current task is composed of -</html:option>
			    			<logic:iterate name="scenario" property="tasks" id="thistask">
				    			<html:option value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)thistask).getTaskID())%>"><bean:write name="thistask" property="name"/></html:option>
				    		</logic:iterate>
			    		</html:select>
			    		</logic:present>
			    		<logic:notPresent name="scenario" property="tasks">
			    			There are currently no other tasks in this scenario.
			    		</logic:notPresent>
					</td>   
				</tr>    				
    			</logic:equal>
    				  	
    			 			
    			<!-- COMMON CODE TO ALL STEPS --------------------------------------->
    				
    				<tr>
	    				<td width="400" class="black10p" height="27" colspan="2">
	    				</td>
    				</tr>
    				<tr>
    					<td width="400" class="black10p" height="27">
    					
						</td>
						<td width="400" class="black10p" height="27" colspan="2" align="right">
						<logic:equal name="addTaskForm" property="step" value="1">
							<html:submit value="Back" property="submit" styleClass="black10p" disabled="true"/>&nbsp;
						</logic:equal>
						<logic:greaterEqual name="addTaskForm" property="step" value="2">
							<html:submit value="Back" property="submit" styleClass="black10p"/>&nbsp;
						</logic:greaterEqual>
						<logic:lessEqual name="addTaskForm" property="step" value="3">
  							<html:submit value="Next" property="submit" styleClass="black10p"/>
  						</logic:lessEqual>
  						<logic:equal name="addTaskForm" property="step" value="4">
  							<html:submit value="Save task" property="submit" styleClass="black10p"/>
  						</logic:equal>
  							<html:submit value="Cancel" property="submit" styleClass="black10p"/>
						</td>
    				</tr>
  					</html:form>				
    		</table>
    		<html:errors/>
 			</td>	
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
  <tr>
  	<td class="black10p">
  		&copy;2003 by NTNU. 
  	</td>

  </tr>
</table>
</body>

</html:html>
