<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="login.jsp"/>
</logic:notPresent>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
            <logic:present name="user">
            	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            </logic:present>
            <logic:equal name="user" property="accessLevel" value="a">
            	<jsp:include page="menu_elements/admin_menu.html" flush="true"/>
            </logic:equal>
			</table>	           
            
            <p>&nbsp;</p>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375"><img src="images/pixel_336699.gif" width="1" height="100%"></td>	
          <td width="5">&nbsp;</td>
          <td width="455" align="left" valign="top" height="375"> 
          
          <!-- PAGE CHARACTERISE_TASKS.JSP STARTS --------------------------------------->
          
          <table width="330">
          	<tr><td height="5"></td></tr>
          	  	<tr>
					<td colspan="2" height="21" class="category">
					Characterise task: <i><bean:write name="task" property="name"/></i>
					</td>
				</tr>
				<logic:present name="task" property="name">
				<html:form action="characterise_task.do">
				<tr>
					<td colspan="2" class="black10p">
						<html:errors/>
						The task weight is a measure of the <b>importance of a task</b>.
						The importance of a task may vary depending on the user, meaning that the task may 
						be important for a specific user while it is less important for another. 
						<br>
						The task weight is used when calculating the mobile process characteristics. 
						The mobile process characteristics are established by calculating the mean value of each 
						characteristic for every task.
						<br>
						<br>
						Please assign this task a weight between 1 and 5.
					</td>
				
				</tr>
				<tr class="header">
      				<td height="19" colspan="2">
      					Task: <bean:write name="task" property="name"/>
      				</td>
    			</tr>
    			<tr class="contentgrey">
      				<td height="20" class="black10p">Task weight:</td>
      				<td height="20" class="black10p">
        				<p align="left">
        				<bean:define name="task" id="tasken"/>
        				<html:select size="1" property="weight" styleClass="black10p" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)tasken).getWeight())%>">
  						<html:option value="1">1 - Very low</html:option>
  						<html:option value="2">2 - Low</html:option>
  						<html:option value="3">3 - Medium</html:option>
  						<html:option value="4">4 - High</html:option>
  						<html:option value="5">5 - Very high</html:option>
						</html:select></p>
						
					</td>
    			</tr>
    			<tr>
    				<td colspan="2">
    					<div align="right"><html:submit value="Next" property="submit" styleClass="black10p"/></div>
    				</td>
    			</tr>
    			</html:form>
	          	</logic:present>
          	</table>
          	</td>
          	<td width="40">&nbsp;
          	</td>
          	<td align="left">
          		<table border="1" cellspacing="0">
          		<tr><td height="15"></td></tr>
          		<tr>
          		<td>
          		<table width="300" height="165" cellspacing="0" border="0">
          		<logic:present name="task" property="name">
          			<tr class="headerblue">
			    		<td colspan="2" height="18">
			    			Details of this task
			    		</td>
			        </tr>
			        <tr class="contentlite" >
			        	<td width="80" class="black10p">Name</td>
						<td width="220" class="black10p">
			        		<bean:write name="task" property="name"/>
			       		</td>
			        </tr>
			       	<tr class="contentlight">
			    		<td class="black10p">Description</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="description"/></p>
			    		</td>
			        </tr>
			       	<tr class="contentlite">
			    		<td class="black10p">Responsible</td>
			    		<td class="black10p">
			    		<logic:present name="task" property="responsible">
			      			<logic:iterate name="scenario" property="roles" id="role">
			      				<logic:equal name="task" property="responsible" value="<%=String.valueOf(((com.mowahs.mwcf.framework.RoleBean)role).getRoleID())%>">
			      					<bean:write name="role" property="name"/><br>
			      				</logic:equal>
			      			</logic:iterate>
			      		</logic:present>
			      		</td>
			      	</tr>
					<tr class="contentlight">
			    		<td class="black10p">Preconditions</td>
			    		<td></td>
			    	</tr>
			    	<tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Location</td>
			    		<td class="black10p">
			      			<bean:write name="task" property="preLocation"/>
			    		</td>
			       	</tr>
			        <tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Resources</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="preResources"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tasks</td>
			    		<td class="black10p">
			      			<logic:present name="task" property="preTasks">
			      				<logic:iterate name="task" property="preTasks" id="pre">
			      					<logic:iterate name="scenario" property="tasks" id="thisTask">
			      						<logic:equal name="pre" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)thisTask).getTaskID())%>">
			      							<bean:write name="thisTask" property="name"/><br>		
			      						</logic:equal>
				      				</logic:iterate>
				      			</logic:iterate>
			      			</logic:present>
			      			<logic:notPresent name="task" property="preTasks">
			      				None
			      			</logic:notPresent>
			      			
			    		</td>
			        </tr>
			        <tr class="contentlite">
			    		<td class="black10p">Postconditions</td>
			    		<td></td>
			    	</tr>
			    	<tr class="contentlite">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Location</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="postLocation"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlite">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Resources</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="postResources"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlite">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tasks</td>
			    		<td class="black10p">
			    			<logic:present name="task" property="postTasks">
			      				<logic:iterate name="task" property="postTasks" id="post">
			      					<logic:iterate name="scenario" property="tasks" id="thisTask">
			      						<logic:equal name="post" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)thisTask).getTaskID())%>">
			      							<bean:write name="thisTask" property="name"/><br>		
			      						</logic:equal>
				      				</logic:iterate>
				      			</logic:iterate>
			      			</logic:present>
			      			<logic:notPresent name="task" property="postTasks">
			      				None
			      			</logic:notPresent>
			    		</td>
			        </tr>
			        <tr class="contentlight">
			    		<td class="black10p">Dependencies</td>
			    		<td></td>
			    	</tr>
			    	<tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Roles</td>
			    		<td class="black10p">
			      			<p align="left">
			      			<logic:present name="task" property="roleDependencies">
			      				<logic:iterate name="task" property="roleDependencies" id="thisrole">
			      					<logic:iterate name="scenario" property="roles" id="arole">
			      						<logic:equal name="thisrole" value="<%=String.valueOf(((com.mowahs.mwcf.framework.RoleBean)arole).getRoleID())%>">
			      							<bean:write name="arole" property="name"/><br>		
			      						</logic:equal>
				      				</logic:iterate>
				      			</logic:iterate>
			      			</logic:present>
			      			<logic:notPresent name="task" property="roleDependencies">
			      				None
			      			</logic:notPresent>
			      			</p>
			    		</td>
			        </tr>
			        <tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Composite</td>
			    		<td class="black10p">
			      			<bean:write name="task" property="composite"/><logic:equal name="task" property="composite" value="Yes">
								<logic:iterate name="task" property="subTasks" id="thisTask">, composed of:
									<logic:iterate name="scenario" property="tasks" id="sceneTask">
				        				<logic:equal name="thisTask" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)sceneTask).getTaskID())%>">
				        					<br><bean:write name="sceneTask" property="name"/>	
				        				</logic:equal>
				        			</logic:iterate>
				        		</logic:iterate>
			        		</logic:equal>
			      		</td>
			        </tr>
			        <logic:present name="task" property="weight">
			        <tr class="contentlite">
			    		<td class="black10p">
			    			Task weigth
			    		</td>
			    		<td class="black10p">
			    			<bean:write name="task" property="weight"/>
			    		</td>
			    	</logic:present>
          		</logic:present>
          		</table>
          		</td>
          		</tr>
          		</table>
          	</td>	
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
  <tr>
  	<td class="black10p">
  		&copy;2003 by NTNU. 
  	</td>

  </tr>
</table>
</body>

</html:html>
