<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="login.jsp"/>
</logic:notPresent>	
<logic:notEqual name="user" property="accessLevel" value="a">
	<jsp:forward page="login.jsp"/>
</logic:notEqual>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
          	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            <jsp:include page="menu_elements/admin_menu.html" flush="true"/>
           	</table>	           
            <p>&nbsp;</p>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375">
          	<img src="images/pixel_336699.gif" width="1" height="100%">
          </td>
          <td width="5">&nbsp;</td>
          <td width="837" align="left" valign="top" height="375"> 
          <table border="0" width="800" height="22">
          <tr><td height="5"></td></tr>
          	  	<logic:present name="group">
          	  	<tr class="header2">
	 				<td width="800" height="18">
	 					Edit group: <i><bean:write name="group" property="name"/> characteristics</i>
	 				</td>
				</tr>	
				<tr class="black10p">
	 				<td height="18">
	 					Below are the data stored on this group. You may change the name or description of the 
	 					group and then click the "Update group" button, or you may add a new characteristic 
	 					to the group or change/delete an existing characteristic.
	 				</td>
				</tr>
					<tr>
    				<td height="10">
    				</td>
    			</tr>
    			
    			<tr>
    				<td>
    				<html:form action="edit_group.do">
    					<table width="400">
    					
	    					<tr class="header">
								<td colspan="2" height="18">Group details
								</td>
	    					</tr>
							<tr class="contentgrey">
								<td width="100" class="black10p" height="25">
									Name
								</td>
								<td width="300" class="black10p" align="left" height="25">
									<html:text property="name" size="48" styleClass="black10p"/> characteristics
								</td>
							</tr>		
							<tr class="contentblue">
				    			<td class="black10p" height="33">
				    				Description
				    			</td>
				    			<td class="black10p" height="33" align="left">
									<html:textarea rows="3" property="description" cols="69" styleClass="black10p"/>
								</td>
							</tr>
							<tr>
			   					<td class="black10p" height="10">
								</td>
								<td class="black10p" height="27" colspan="2" align="right">
									<html:submit value="Cancel" property="submit" styleClass="black10p"/>&nbsp;&nbsp;
									<html:submit value="Update group" property="submit" styleClass="black10p"/>
								</td>
							</tr>
						</table>
						</html:form>
					</td>
				</tr>				
				<logic:present name="group" property="characteristics">
				<tr>
					<td>
						<table width="800">
							<tr>
								<td class="black10p" colspan="2">
									<html:link forward="add_new_characteristic" paramId="groupId" paramName="group" paramProperty="groupID">Add a new characteristic to this group</html:link>
								</td>
							</tr>
							<tr class="header">
								<td width="200">
									Characteristics in group
								</td>
								<td width="250">
									Description
								</td>
								<td width="100">
									Scale
								</td>
								<td colspan="2" width="200">
									Actions
								</td>
							</tr>
							<%! int j = 0; %>
							<logic:iterate name="group" property="characteristics" id="characteristic">
							<% if(j==0) { j=j+1; %>
							<tr class="contentgrey">
							<% } else { j=j-1; %>
							<tr class="contentblue">
							<% }%>
								<td class="black10p">
									<bean:write name="characteristic" property="name"/>
								</td>
								<td class="black10p">
									<bean:write name="characteristic" property="description"/>
								</td>	
								
								<td class="black10p">
								<logic:present name="characteristic" property="scale">
									<% int i = 0; %>
									<logic:iterate name="characteristic" property="scale" id="valDes">
										<% if (i == 0) { i++; %>
										<bean:write name="valDes"/>&nbsp;-&nbsp;
										<% } else { i--; %>
										<bean:write name="valDes"/><br>
										<% } %>
									</logic:iterate>	
								</logic:present>
								</td>
								<td class="black10p" width="40">
									<html:link forward="edit_characteristic" paramId="characId" paramName="characteristic" paramProperty="characteristicID">Edit</html:link>
								</td>	
								<td class="black10p" width="160">
									<html:link forward="delete_characteristic" paramId="characId" paramName="characteristic" paramProperty="characteristicID">Remove from group</html:link>
								</td>	
							</tr>
							</logic:iterate>
							
								
						</table>
					</td>
				</tr>
				
				</logic:present>
							
			</logic:present>
          	</table>
          	<html:errors/>
 			</td>	
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
  <tr>
  	<td class="black10p">
  		&copy;2003 by NTNU. 
  	</td>

  </tr>
</table>
</body>

</html:html>
