<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="login.jsp"/>
</logic:notPresent>
<logic:notEqual name="user" property="accessLevel" value="a">
	<jsp:forward page="login.jsp"/>
</logic:notEqual>

<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
          	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            <jsp:include page="menu_elements/admin_menu.html" flush="true"/>
           	</table>	           
            <p>&nbsp;</p>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375"><img src="images/pixel_336699.gif" width="1" height="100%"></td>	
          <td width="5">&nbsp;</td>	
          <td width="837" align="left" valign="top" height="375"> 
          <table border="0" width="600" height="22">
			<tr><td height="5"></td></tr>
          	  	<html:form action="edit_indicator.do">
          	  	<logic:present name="indicator">
          	  	<jsp:useBean id="indicator" scope="session" class="com.mowahs.mwcf.framework.IndicatorBean"/>
          	  	<tr class="header2">
					<td width="700" height="18">
						Edit indicator: <i><bean:write name="indicator" property="name"/></i>
					</td>
				</tr>
				<tr>
					<td>
						<html:errors/>
					</td>
				</tr>
				<tr>
          	  		<td>
          	  			<table width="300">
          	  				<tr>
    							<td height="18" colspan="2" class="black10p">
    								Make the desired changes to the name and description of this indicator below and 
    								click "Update" to save the changes.
    								<br>
    								<br>
    							</td>
    						</tr>
    						<tr class="header">
								<td width="300" colspan="2" height="18">Indicator details
								</td>
    						</tr>
							<tr class="contentgrey">
								<td width="120" class="black10p" height="20">
									Name
								</td>
								<td width="180" class="black10p" align="left" height="25">
									<html:text name="indicatorForm" property="name" size="38" styleClass="black10p"/>
								</td>
							</tr>
							<tr class="contentblue">
								<td width="120" class="black10p" height="20">
									Description
								</td>
								<td width="180" class="black10p" align="left" height="25">
									<html:textarea rows="6" name="indicatorForm" property="description" cols="69" styleClass="black10p"/>
								</td>
							</tr>
							<tr>
   								<td width="700" class="black10p" height="27" colspan="2" align="right">
									<html:submit value="Update" property="submit" styleClass="black10p"/>&nbsp;
									<html:submit value="Cancel" property="submit" styleClass="black10p"/>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<table width="400">
							<logic:present name="group" property="groups">
								<tr>
									<td class="black10p" colspan="2">
										The key and additional characteristics are shown below. 
										To make any changes to these, click "Edit".
									</td>
								</tr>
								<tr class="header">
									<td width="300" colspan="2" height="18">
										Characteristics in indicator
									</td>
    							</tr>
								<tr class="contentgrey">
									<td width="150" class="black10p" height="20">
										Key characteristics
									</td>
									<td width="250" class="black10p" align="left" height="25">
										<logic:present name="indicator" property="primaryContent">
											
												<logic:iterate name="group" property="groups" id="thisgroup">
													<logic:iterate name="thisgroup" property="characteristics" id="charac">
														<% 	int[] prime = indicator.getPrimaryContent();
															for (int i = 0; i<prime.length; i++) {
														%>
															<logic:equal name="charac" property="characteristicID" value="<%=String.valueOf(prime[i])%>">
																<bean:write name="charac" property="name"/>
																<br>
															</logic:equal>
														<% } %>
													</logic:iterate>
												</logic:iterate>
											</logic:present>
										
									</td>
								</tr>
								<tr class="contentblue">
									<td width="120" class="black10p" height="20">
										Additional characteristics
									</td>
									<td width="180" class="black10p" align="left" height="25">
										<logic:present name="indicator" property="secondaryContent">
											<logic:iterate name="group" property="groups" id="thisgroup">
												<logic:iterate name="thisgroup" property="characteristics" id="charac">
													<% 	int[] sec = indicator.getSecondaryContent();
														for (int i = 0; i<sec.length; i++) {
														%>
														<logic:equal name="charac" property="characteristicID" value="<%=String.valueOf(sec[i]) %>">
															<bean:write name="charac" property="name"/><br>
														</logic:equal>
													<% } %>
													</logic:equal>
												</logic:iterate>
											</logic:iterate>
										</logic:present>
									</td>
								</tr>
								<tr>
   									<td width="700" class="black10p" height="27" colspan="2" align="right">
										<html:submit value="Edit" property="submit" styleClass="black10p"/>									
									</td>
								</tr>
							</logic:present>
						</table>
					</td>
				</tr>
				</logic:present>
				</html:form>
          	</table>
          	
 			</td>	
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
  <tr>
  	<td class="black10p">
  		&copy;2003 by NTNU. 
  	</td>

  </tr>
</table>
</body>

</html:html>
