<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="/login.jsp"/>
</logic:notPresent>

<logic:notEqual name="user" property="accessLevel" value="a">
	<jsp:forward page="/login.jsp"/>
</logic:notEqual>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
          	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            <jsp:include page="menu_elements/admin_menu.html" flush="true"/>
           	</table>	           
            <p>&nbsp;</p>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375"><img src="images/pixel_336699.gif" width="1" height="100%"></td>	
          <td width="5">&nbsp;</td>
          <td width="837" align="left" valign="top" height="375"> 
          <table border="0" width="800" height="22">
          		<tr><td height="5"></td></tr>
          	  	<tr class="header2">
	 				<td width="749" height="18" colspan="6">
	 					The Mobile Work Characterisation Framework..
	 				</td>
				</tr>	
				<logic:present name="group" property="groups"> 
				<jsp:useBean id="group" scope="session" class="com.mowahs.mwcf.framework.GroupBean"/> 
          	  	<tr class="black10p">
	 				<td width="740" height="18" colspan="6" >
	 					<br>
	 					...consists of several task characteristics which are divided into <%=(group.getGroups()).size()  %> main categories, 
	 					or groups, each of which are listed below. Select a group to edit the characteristics in this group. 
	 					The mobile complexity indicators are listed under the groups. These are calculated using a selective set of the characteristics.
						Further down the consistency rules are shown.
	 					<br>
						<br>
	 					Please select which part of the framework you wish to make changes to.
	 					<br>
	 					<br>
	 				</td>
				</tr>
				<tr>
				 	<td>
				 		<table width="450">
							<tr class="header">
								<td width="200" >
									Groups
								</td>
								<td colspan="2" align="center">
									<html:link forward="add_new_group" styleClass="linkswhite10p">Add new group</html:link>
								</td>
							</tr>
							<%! int j = 0; %>
							<logic:iterate name="group" property="groups" id="agroup">
							<% if(j==0) { j=j+1; %>
							<tr class="contentgrey" height="22">
							<% } else { j=j-1; %>
							<tr class="contentblue" height="22">
							<% }%>
								<td class="black10p">
									<bean:write name="agroup" property="name"/> characteristics
								</td>
								<td align="center" class="black10p">
									<html:link forward="edit_group" paramId="groupId" paramName="agroup" paramProperty="groupID">Edit</html:link>
								</td>
								<td align="center" class="black10p">
									<html:link forward="delete_group" paramId="groupId" paramName="agroup" paramProperty="groupID">Remove from framework</html:link>
								</td>
							</tr>
							</logic:iterate>
						</table>
					</td>
				</tr>
				<tr>
					<td height="10">
						&nbsp;
					</td>
				</tr>
				<tr>	
					<td>
						<table width="450">
							<tr class="header">
								<td width="200">
									Complexity indicators
								</td>
								<td colspan="2" align="center">
									<html:link forward="add_indicator" styleClass="linkswhite10p">Add new indicator</html:link>
								</td>
							</tr>
							<% j = 0; %>
							<logic:iterate name="indicator" property="indicators" id="indi">
							<% if(j==0) { j=j+1; %>
							<tr class="contentgrey" height="22">
							<% } else { j=j-1; %>
							<tr class="contentblue" height="22">
							<% }%>
								<td class="black10p">
									<bean:write name="indi" property="name"/>
								</td>
								<td align="center" class="black10p">
									<html:link forward="edit_indicator" paramId="indicatorId" paramName="indi" paramProperty="indicatorID">Edit</html:link>
								</td>
								<td align="center" class="black10p">
									<html:link forward="delete_indicator" paramId="indicatorId" paramName="indi" paramProperty="indicatorID">Remove from framework</html:link>
								</td>
							</tr>
							</logic:iterate>
						</table>
					</td>
				</tr>
				<tr>
					<td height="10">
						&nbsp;
					</td>
				</tr>
				<tr>
					<td>
						<table width="450">
							<tr class="header">
								<td width="200">
									Consistency rules
								</td>
								<td colspan="2" align="center">
									<html:link forward="add_rule" styleClass="linkswhite10p">Add new consistency rule</html:link>
								</td>
							</tr>
							<% j = 0;%>
						 	<logic:iterate name="rule" property="ruleList" id="arule">
							<% if(j==0) { j=j+1; %>
							<tr class="contentgrey" height="22">
							<% } else { j=j-1; %>
							<tr class="contentblue" height="22">
							<% } %>
								<td class="black10p">
									<bean:write name="arule" property="name"/>
								</td>
								<td align="center" class="black10p">
								<html:link forward="view_rule" paramId="ruleName" paramName="arule" paramProperty="name">View</html:link>
								</td>
								<td align="center" class="black10p">
								<html:link forward="delete_rule" paramId="ruleName" paramName="arule" paramProperty="name">Remove from framework</html:link>	
								</td>
							</tr>
							</logic:iterate>
						</table>
					</td>
				</tr>
				</logic:present>	
          	</table>
          	<html:errors/>
 			</td>	
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
  <tr>
  	<td class="black10p">
  		&copy;2003 by NTNU.
  	</td>
  </tr>
</table>
</body>

</html:html>
