<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="pda_login.jsp"/>
</logic:notPresent>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="220" border="0" align="left" cellpadding="0" cellspacing="0">
	<tr> 
    	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_top.gif"></td>
  	</tr>
  	<tr>
  	<td>
  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
  	<tr> 
  	
    <td valign="left" bgcolor="#DDDDDD" class="black10p">
    	<div align="left" class="black10p"><bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/></div>
   	</td>
    <td align="right" valign="bottom" bgcolor="#DDDDDD"> 
      <div align="right" class="black10p"><html:link forward="pda_log_out" styleClass="pda_menulinks">Log Out</html:link></div>
    </td>
  	</tr>
  	<tr>
  		<td colspan="2">
  			<logic:present name="user">
            	<jsp:include page="menu_elements/pda_reg_user_menu.html" flush="true"/>
            </logic:present>
  		</td>
  	</tr>
  	</table>
  	</td>
  	</tr>
  	<tr>
  	<td>
  	<!-- Page starts -->
  	
  	<table border="0" width="100%">
          	<tr><td height="5"></td></tr>
          		<html:form action="pda_validate_characteristic.do">
          	  	<tr>
					<td colspan="4" class="pda_category">
					Characterise task: <i><bean:write name="task" property="name"/></i>
					</td>
				</tr>
				<logic:present name="group" property="groups">
				<tr>
					<td colspan="4" class="black10p">
						The characterisation process is divided into different groups. 
						The task must be characterised within all groups to retrieve the complexity indicators.
						<br>
						<br>
						Please click on "Scenario analysis" in the menu to get the complexity indicators.
						<br>
						<br>
						
					</td>
				
				</tr>
				<tr align="left" valign="top" class="pda_header"> 
	                <td>No</td>
	                <td>Group</td>
	                <td>Description</td>
	                <td>Characterised</td>
	                
            	</tr>
				<%! int i = 0; int j = 0; int gr = 0; int nr = 0;%>
				<jsp:useBean id="group" scope="session" class="com.mowahs.mwcf.framework.GroupBean"/>
				<% nr = (group.getGroups()).size(); %>
				<logic:iterate name="group" property="groups" id="thisgroup">
				<% if(j==0) { j=j+1; %>
				<tr align="left" valign="top" class="contentgrey">
				<% } else { j=j-1; %>
				<tr align="left" valign="top" class="contentblue">
				<% }%>
				<logic:notEqual name="thisgroup" property="noCharacteristics" value="0">
					<td class="black10p" align="center"><%= (i=i+1) %></td>
					<td class="black10p">
						<html:link forward="pda_characterise_group" paramId="groupId" paramName="thisgroup" paramProperty="groupID">
						 <bean:write name="thisgroup" property="name"/>
						</html:link>
					</td>
					<td class="black10p"><bean:write name="thisgroup" property="description"/></td>
					<td class="black10p" align="center">
						<logic:equal name="thisgroup" property="characterised" value="1">Done<% gr=gr+1; %></logic:equal>
						<logic:equal name="thisgroup" property="characterised" value="0"><html:link forward="pda_characterise_group" paramId="groupId" paramName="thisgroup" paramProperty="groupID">Characterise</html:link></logic:equal>
					</td>
	            </logic:notEqual>
	            <logic:equal name="thisgroup" property="noCharacteristics" value="0">
	            	<td class="black10p" align="center"><%= (i=i+1) %></td>
					<td class="black10p">
						 <bean:write name="thisgroup" property="name"/>
					</td>
					<td class="black10p"><bean:write name="thisgroup" property="description"/></td>
					<td class="black10p" align="center">
						Does not contain any characteristics yet.
					</td>
	            </logic:equal>
	            </tr>
				</logic:iterate>
				<% i = 0; %>
				</table>
				<table width="100%">
				<% if(gr == nr) { %>
				<tr>
					<td  colspan="3" class="black10p">
						Press the "Validate" button to check for consistency issues.
					</td>
	                <td class="black10p" align="right">	
						<html:submit value="Validate" property="submit" styleClass="black10p"/>	
					</td>             
				</tr>
				<tr>
				<td class="black10p">
				</td>
				</tr>
				<% } gr = 0;%>
				<% int j = 1; int k = 0; %>
					<logic:iterate name="validateCharacteristicForm" property="brokenRules" id="thisrule">
	    						<%if(j == 1) { k = 0;%>
	    							<tr align="left" valign="top" class="contentgrey"><td class="black10p" colspan="4"><html:link forward="pda_show_rule" paramId="ruleName" paramName="thisrule"><bean:write name="thisrule"/></html:link>&nbsp;&nbsp;&nbsp(Edit your characterisation)</td></tr>
	    						<% } else if(j == 2){ k = 0; %>
	    							<tr align="left" valign="top" class="contentgrey"><td class="black10p" colspan="4"><bean:write name="thisrule"/></td></tr>
	    						
	    						<% } else { if(j == 3) { %>
	    						<tr align="left" valign="top" class="contentblue">
	    						<% } %>
	    						<logic:equal name="thisrule" value="or"><tr align="left" valign="top" class="contentblue"></logic:equal>
	    						<logic:equal name="thisrule" value="then"><tr align="left" valign="top" class="contentblue"></logic:equal>
	    						<logic:equal name="thisrule" value="end"><% j = 0; %></logic:equal>
	    						<% if(k==4) { %>
	    						<td class="black10p">Your value:&nbsp; 
	    						<% } %>
	    						<% if(j != 0 && k==5) { %>
	    						<td class="black10p" colspan="4"><bean:write name="thisrule" /></td>
	    						<% } %>
	    						<%if(j != 0 && k < 4) {%>
	    						<td class="black10p"><bean:write name="thisrule" /></td>
	    						<% } else if(k==4) {%>
	    						<bean:write name="thisrule" />
	    						<% } %>
	    						<%if (k==4) { %>
	    						</td></tr>
	    						<% } %>
	    						<logic:equal name="thisrule" value="or"></tr><tr align="left" valign="top" class="contentblue"><%k=0;%></logic:equal>
	    						<logic:equal name="thisrule" value="then"></tr><tr align="left" valign="top" class="contentblue"><%k=0;%></logic:equal>
	    						<% } j++; k++; %>
	    						
	    			</logic:iterate>
				
				</tr>
				<tr>
					<td class="black10p" colspan="5" align="center">
						<br>
						<html:link forward="pda_show_tasks" paramId="scenarioId" paramName="scenario" paramProperty="scenarioID">Go back to list of tasks in scenario <i><bean:write name="scenario" property="name"/></html:link>
					</td>
				</tr>
	          	</logic:present>
	          	<logic:notPresent name="group" property="groups">
	          	<tr class="black10p">
	 				<td height="18" colspan="6" >
	 					There are currently no groups in the MWCF framework. 
	 					Please notify the administrator of this site to take the corrective actions.
	 				</td>
				</tr>
			</logic:notPresent>
			</html:form>
			</table>
  	
  	
  	
  	<!-- Page ends -->
  	</td>
  	</tr>
  	<tr>
		<td>
			<html:errors/>
  		</td>
  	</tr>
  	<tr>
  	   	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_bottom.gif"></td>
  	</tr>
  	<tr>
	  	<td class="black10p">
  			&copy;2006 by NTNU.
  		</td>
  	</tr>	
</table>
</body>
</html:html>