<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="pda_login.jsp"/>
</logic:notPresent>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="220" border="0" align="left" cellpadding="0" cellspacing="0">
	<tr> 
    	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_top.gif"></td>
  	</tr>
  	<tr>
  	<td>
  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
  	<tr> 
  	
    <td valign="left" bgcolor="#DDDDDD" class="black10p">
    	<div align="left" class="black10p"><bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/></div>
   	</td>
    <td align="right" valign="bottom" bgcolor="#DDDDDD"> 
      <div align="right" class="black10p"><html:link forward="pda_log_out" styleClass="pda_menulinks">Log Out</html:link></div>
    </td>
  	</tr>
  	<tr>
  		<td colspan="2">
  			<logic:present name="user">
            	<jsp:include page="menu_elements/pda_reg_user_menu.html" flush="true"/>
            </logic:present>
  		</td>
  	</tr>
  	</table>
  	</td>
  	</tr>
  	<tr>
  	<td>
  	<!-- Page starts -->
  	
  	 <table border="0" width="100%">
          	<tr><td height="5"></td></tr>
          	  	<tr>
					<td colspan="3" class="pda_category">
					Characterise scenario
					</td>
				</tr>
				<logic:present name="user" property="scenarios">
				<jsp:useBean id="user" scope="session" class="com.mowahs.mwcf.framework.UserBean"/>
				<% if(!(user.getScenarios().isEmpty())) {%>
				<tr>
					<td colspan="3" class="black10p">
						Please select the scenario you wish to 
						characterise from your list of scenarios below.
					</td>
				
				</tr>
				<tr align="left" valign="top" class="pda_header"> 
	                <td>No</td>
	                <td>Scenario</td>
	                <td>Description</td>
            	</tr>
				<%! int i = 0; int j = 0; %>
				<logic:iterate name="user" property="scenarios" id="scene">
				<% if(j==0) { j=j+1; %>
				<tr align="left" valign="top" class="contentgrey">
				<% } else { j=j-1; %>
				<tr align="left" valign="top" class="contentblue">
				<% }%>
					<td class="black10p"><%= (i=i+1) %></td>
					<td class="black10p"><html:link forward="pda_show_tasks" paramId="scenarioId" paramName="scene" paramProperty="scenarioID"><bean:write name="scene" property="name"/></html:link></td>
					<td class="black10p"><bean:write name="scene" property="description"/></td>                
	            </tr>
				</logic:iterate>
				<% i = 0; %>
				<% } else {%>
				<tr class="black10p">
	 				<td colspan="6" >
	 					You currently have no scenarios stored in the MWCF system.
	 					<br>
						Click "Create Scenario" in the menu to create your first mobile scenario. 
	 				</td>
				</tr>
				<%}%>
	          	</logic:present>
	          	<logic:notPresent name="user" property="scenarios">
	          	<tr class="black10p">
	 				<td colspan="6" >
	 					You currently have no scenarios stored.  
	 				</td>
				</tr>
				<tr>
					<td class="black10p">
						Click "Create Scenario" in the menu to create your first mobile scenario.
					</td>
				</tr>
	          </logic:notPresent>
	          <tr>
	          <td>
	          <br>
	          </td>
	          </tr>
          	</table>
  	
  	<!-- Page ends -->
  	</td>
  	</tr>
  	<tr>
		<td>
			<html:errors/>
  		</td>
  	</tr>
  	<tr>
  	   	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_bottom.gif"></td>
  	</tr>
  	<tr>
	  	<td class="black10p">
  			&copy;2006 by NTNU.
  		</td>
  	</tr>	
</table>
</body>
</html:html>