<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>



<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="220" border="0" align="left" cellpadding="0" cellspacing="0">
	<tr> 
    	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_top.gif"></td>
  	</tr>
  	<tr>
  	<td>
  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
  	<tr> 
  	
    <td valign="left" bgcolor="#DDDDDD" class="black10p">
    	<logic:present name="user"><bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/></logic:present>
    	<logic:notPresent name="user">User: not logged in</logic:notPresent>
   	</td>
    <td align="right" valign="bottom" bgcolor="#DDDDDD"> 
      <logic:present name="user"><div align="right" class="black10p"><html:link forward="pda_log_out" styleClass="pda_menulinks">Log Out</html:link></div></logic:present>
    </td>
  	</tr>
  	<tr>
  		<td colspan="2">
  			<logic:present name="user">
            	<jsp:include page="menu_elements/pda_reg_user_menu.html" flush="true"/>
            </logic:present>
            <logic:notPresent name="user">
           		<jsp:include page="menu_elements/pda_user_menu.html" flush="true"/>
            </logic:notPresent>
  		</td>
  	</tr>
  	</table>
  	</td>
  	</tr>
  	<tr>
  	<td>
  	<!-- Page starts -->
  	
  	<table border="0" width="100%">
      	  	<tr>
				<td class="pda_category">
				Scenario analysis
				<html:errors/>
				</td>
			</tr>
			<logic:present name="scenario" property="name">
			<tr class="black10p">
 				<td height="18">
 					Below are all the details stored about this scenario and its tasks. 
 					The table describes the scenario as a whole. Press the links to view task details.
 				</td>
 			</tr>
 			<tr>
 				<td class="black10p">
 					<html:link forward="pda_view_characterisation" paramId="view" paramName="scenario" paramProperty="scenarioID">Show the characterisation of this scenario</html:link>
 				</td>
			</tr>
			<tr>
				<td>
					<table width="100%">
						<tr class="pda_header">
							<td colspan="2" height="15">Scenario details
							</td>
    					</tr>
    					<tr class="contentgrey">
							<td class="black10p">Name
							</td>
							<td class="black10p" align="left">
	  							<bean:write name="scenario" property="name" />
  							</td>
    					</tr>
    					<tr class="contentblue">
	    					<td class="black10p">Description
	    					</td>
	    					<td class="black10p">
		   						<bean:write name="scenario" property="description"/>
	    					</td>
    					</tr>
    					<tr class="contentgrey">
							<td class="black10p">Roles
							</td>
							<td class="black10p">
							<logic:present name="scenario" property="roles">
								<logic:iterate name="scenario" property="roles" id="role">
									<bean:write name="role" property="name"/>,&nbsp
								</logic:iterate>	
							</logic:present>
							</td>
    					</tr>
    					<tr class="contentblue">
	    					<td class="black10p">Created by user
	    					</td>
	    					<td class="black10p">
		   						<bean:write name="scenario" property="creator"/>
	    					</td>
    					</tr>
					</table>
				</td>				
			</tr>
			<tr>
			<td>
			<table width="100%">
			<tr class="pda_header">
				<td height="15">Tasks
				</td>
    		</tr>
			<logic:iterate name="scenario" property="tasks" id="task">
			<%if(request.getParameter("taskId")!= null && request.getParameter("taskId").compareTo(String.valueOf(((com.mowahs.mwcf.framework.TaskBean)task).getTaskID()))==0) {%>		
			<tr class="contentblue">
			<td class="black10p">
				<a name="focus"/>
				<a href="pda_view_characterisation.do?scenarioId=<%=request.getParameter("scenarioId")%>"><bean:write name="task" property="name"/>
				</a>
			</td>			
			</tr>
				<tr>
				<td colspan="3">
				<table width="100%" cellspacing="0" border="0">
          		<logic:present name="task" property="name">
          			<tr class="pda_header">
			    		<td colspan="2"  bgcolor="#336699">
			    			Details of this task
			    		</td>
			        </tr>
			        <tr class="contentlite" >
			        	<td class="black10p">Name</td>
						<td class="black10p">
			        		<bean:write name="task" property="name"/>
			       		</td>
			        </tr>
			       	<tr class="contentlight">
			    		<td class="black10p">Description</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="description"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlite">
			    		<td class="black10p">Responsible</td>
			    		<td class="black10p">
			    		<logic:present name="task" property="responsible">
			      			<logic:iterate name="scenario" property="roles" id="role">
			      				<logic:equal name="task" property="responsible" value="<%=String.valueOf(((com.mowahs.mwcf.framework.RoleBean)role).getRoleID())%>">
			      					<bean:write name="role" property="name"/><br>
			      				</logic:equal>
			      			</logic:iterate>
			      		</logic:present>
			      		</td>
			      	</tr>
			      	<tr class="contentlight">
			    		<td class="black10p">Preconditions</td>
			    		<td></td>
			    	</tr>
			    	<tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Location</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="preLocation"/></p>
			    		</td>
			       	</tr>
			        <tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Resources</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="preResources"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tasks</td>
			    		<td class="black10p">
			      			<logic:present name="task" property="preTasks">
			      				<logic:iterate name="task" property="preTasks" id="pre">
			      					<logic:iterate name="scenario" property="tasks" id="thisTask">
			      						<logic:equal name="pre" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)thisTask).getTaskID())%>">
			      							<bean:write name="thisTask" property="name"/><br>		
			      						</logic:equal>
				      				</logic:iterate>
				      			</logic:iterate>
			      			</logic:present>
			      			<logic:notPresent name="task" property="preTasks">
			      				None
			      			</logic:notPresent>
			    		</td>
			    		</tr>		    		
			        <tr class="contentlite">
			    		<td class="black10p">Postconditions</td>
			    		<td></td>
			    	</tr>
			    	<tr class="contentlite">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Location</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="postLocation"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlite">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Resources</td>
			    		<td class="black10p">
			      			<p align="left"><bean:write name="task" property="postResources"/></p>
			    		</td>
			        </tr>
			        <tr class="contentlite">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tasks</td>
			    		<td class="black10p">
			    			<logic:present name="task" property="postTasks">
			      				<logic:iterate name="task" property="postTasks" id="post">
			      					<logic:iterate name="scenario" property="tasks" id="thisTask">
			      						<logic:equal name="post" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)thisTask).getTaskID())%>">
			      							<bean:write name="thisTask" property="name"/><br>		
			      						</logic:equal>
				      				</logic:iterate>
				      			</logic:iterate>
			      			</logic:present>
			      			<logic:notPresent name="task" property="postTasks">
			      				None
			      			</logic:notPresent>
			    		</td>
			        </tr>
			        <tr class="contentlight">
			    		<td class="black10p">Dependencies</td>
			    		<td></td>
			    	</tr>
			    	<tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Roles</td>
			    		<td class="black10p">
			      			<p align="left">
			      			<logic:present name="task" property="roleDependencies">
			      				<logic:iterate name="task" property="roleDependencies" id="thisrole">
			      					<logic:iterate name="scenario" property="roles" id="arole">
			      						<logic:equal name="thisrole" value="<%=String.valueOf(((com.mowahs.mwcf.framework.RoleBean)arole).getRoleID())%>">
			      							<bean:write name="arole" property="name"/><br>		
			      						</logic:equal>
				      				</logic:iterate>
				      			</logic:iterate>
			      			</logic:present>
			      			<logic:notPresent name="task" property="roleDependencies">
			      				None
			      			</logic:notPresent>
			      			</p>
			    		</td>
			        </tr>
			        <tr class="contentlight">
			    		<td class="black10p">
			    			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Composite</td>
			    		<td class="black10p">
			      			<bean:write name="task" property="composite"/><logic:equal name="task" property="composite" value="Yes">
								<logic:iterate name="task" property="subTasks" id="thisTask">, composed of:
									<logic:iterate name="scenario" property="tasks" id="sceneTask">
				        				<logic:equal name="thisTask" value="<%=String.valueOf(((com.mowahs.mwcf.framework.TaskBean)sceneTask).getTaskID())%>">
				        					<br><bean:write name="sceneTask" property="name"/>	
				        				</logic:equal>
				        			</logic:iterate>
				        		</logic:iterate>
			        		</logic:equal>
			      		</td>
			        </tr>
			        <logic:present name="task" property="weight">
			        <tr class="contentlite">
			    		<td class="black10p">
			    			Task weigth
			    		</td>
			    		<td class="black10p">
			    			<bean:write name="task" property="weight"/>
			    		</td>
			    	</logic:present>
          		</logic:present>
          		</table>
          		</td>
          		</tr> 
			<% } else {%>
			<tr class="contentgrey">
			<td class="black10p">
				<a href="pda_view_characterisation.do?scenarioId=<%=request.getParameter("scenarioId")%>&taskId=<bean:write name="task" property="taskID"/>#focus"><bean:write name="task" property="name"/>
				</a>
			</td>
			<% } %>
			
			</logic:iterate>
			</table>
			</td>
			</tr>	
			</logic:present>
			<logic:notPresent name="scenario" property="name">
			<tr>
				<td class="black10p">
				Please select a scenario first
				</td>
			</tr>
			</logic:notPresent>
   		</table>
 		
  	
  	
  	<!-- Page ends -->
  	</td>
  	</tr>
  	<tr>
		<td>
			<html:errors/>
  		</td>
  	</tr>
  	<tr>
  	   	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_bottom.gif"></td>
  	</tr>
  	<tr>
	  	<td class="black10p">
  			&copy;2006 by NTNU.
  		</td>
  	</tr>	
</table>
</body>
</html:html>