<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>



<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="220" border="0" align="left" cellpadding="0" cellspacing="0">
	<tr> 
    	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_top.gif"></td>
  	</tr>
  	<tr>
  	<td>
  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
  	<tr> 
  	
    <td valign="left" bgcolor="#DDDDDD" class="black10p">
    	<logic:present name="user"><bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/></logic:present>
    	<logic:notPresent name="user">User: not logged in</logic:notPresent>
   	</td>
    <td align="right" valign="bottom" bgcolor="#DDDDDD"> 
      <logic:present name="user"><div align="right" class="black10p"><html:link forward="pda_log_out" styleClass="pda_menulinks">Log Out</html:link></div></logic:present>
    </td>
  	</tr>
  	<tr>
  		<td colspan="2">
  			<logic:present name="user">
            	<jsp:include page="menu_elements/pda_reg_user_menu.html" flush="true"/>
            </logic:present>
            <logic:notPresent name="user">
           		<jsp:include page="menu_elements/pda_user_menu.html" flush="true"/>
            </logic:notPresent>
  		</td>
  	</tr>
  	</table>
  	</td>
  	</tr>
  	<tr>
  	<td>
  	<!-- Page starts -->
  	
  	<table border="0" width="100%">
          <tr><td height="5"></td></tr>
          		<tr>
					<td colspan="3" height="21" class="pda_category">
							Mobile complexity indicators of scenario: <i><bean:write name="scenario" property="name"/></i>
									<br>
									<html:errors/>
								</td>
								</tr>
		 							<logic:present name="scenario">
		 								<tr>
											<td colspan="3" class="black10p">
												In the table below are different indicators that can help you
												analyse the mobile scenario and help to prioritise and extract 
												non-functional and funcional requirements.
											</td>
										</tr>
										<tr>
											<td colspan="3">
												<table width="100%">
													<tr class="headergolden">
														<td class="black10p">
															<logic:present name="scenario" property="scenarioAverage">
																The <b>Overall Scenario Complexity Indicator</b> for this scenario is <b><bean:write name="scenario" property="scenarioAverage"/></b>
															</logic:present>
														</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td colspan="3" class="black10p">
												The complexity indicators are listed for the selected task, and for the scenario as a whole (weighted values) 
												in the rightmost column. Use the links (&lt;&lt;  &gt;&gt;) to browse the tasks in this scenario.
											</td>
										</tr>
										<% int i = 0; int id = 0; int count = 0; int j = 0; int avg = 0; %>
										<logic:present name="scenario" property="tasks">
											<tr class="pda_headerblue">
												<td>
													<a name="task"/>
													<bean:write name="scenario" property="name"/>
												</td>
												<logic:iterate name="scenario" property="tasks" id="task">
													<logic:notEqual name="task" property="weight" value="0">
														<% if(request.getParameter("taskId") == null && i == 0) { i++;%>
																<td align="center">
																<table border="0" cellpadding="0" cellspacing="0" width="100%">
																<tr>
																<td class="headerbluesmall" valign="top" align="center" colspan="2">
																	<bean:write name="task" property="name"/>
																</td>
																</tr>
														<% } else if(request.getParameter("taskId") == null && i == 1) { i++;%>
																<tr>
																<td class="pda_headerbluesmall" align="left" valign="bottom">
																	&lt;&lt;&nbsp;
																</td>
																<td align="right" class="pda_headerbluesmall">
																	&nbsp;<a class="pda_linkswhite" href="pda_view_characterisation.do?analysis=<%=request.getParameter("analysis")%>&taskId=<bean:write name="task" property="taskID"/>#task">&gt;&gt;</a>		
																</td>
																</tr>	
																</table>	
														<% } else if(request.getParameter("taskId")!= null && request.getParameter("taskId").compareTo(String.valueOf(((com.mowahs.mwcf.framework.TaskBean)task).getTaskID()))==0 && i==0) { i++;%>		
														<td align="center">
															<table border="0" cellpadding="0" cellspacing="0" width="100%">
															<tr>
															<td class="headerbluesmall" valign="top" align="center" colspan="2">
															<bean:write name="task" property="name"/>
															</td>
															</tr>
															<tr>
															<% if(id!=0) { %>
															<td align="left" class="pda_headerbluesmall">
															<a class="pda_linkswhite" href="pda_view_characterisation.do?analysis=<%=request.getParameter("analysis")%>&taskId=<%=id%>#task">&lt;&lt;</a>&nbsp;
															</td>
															<% } else { %>
															<td class="pda_headerbluesmall" align="left" valign="bottom">
															&lt;&lt;&nbsp;
															</td>
															<% } %>
														<% } else if(request.getParameter("taskId")!= null && i==1) { i++;%>		
															<td align="right" class="pda_headerbluesmall">
															&nbsp;<a class="pda_linkswhite" href="pda_view_characterisation.do?analysis=<%=request.getParameter("analysis")%>&taskId=<bean:write name="task" property="taskID"/>#task">&gt;&gt;</a>		
														</td>
														</tr>
														</table>
														</td>
														<% } id=((com.mowahs.mwcf.framework.TaskBean)task).getTaskID(); %>
													</logic:notEqual>
												</logic:iterate>
												<% if(request.getParameter("taskId")!= null && request.getParameter("taskId").compareTo(String.valueOf(id))==0 ) { %>		
													<td class="pda_headerbluesmall" align="right" valign="bottom">
													&nbsp;&gt;&gt;
													</td>
													</tr>
													</table>
													</td>
												<% } %>
												<td class="headerbluesmall">
													Average
												</td>
											</tr>
											<% i = 0; %>
											<tr class="contentlight">
												<td class="black10p">
													Weight
												</td>
												<logic:iterate name="scenario" property="tasks" id="task">
													<% if(request.getParameter("taskId") == null && i == 0) { i++;%>
													<logic:notEqual name="task" property="weight" value="0">
														<td class="black10p" align="right">
															<bean:write name="task" property="weight"/>
														</td>
													</logic:notEqual>
													<% } else if(request.getParameter("taskId")!= null && request.getParameter("taskId").compareTo(String.valueOf(((com.mowahs.mwcf.framework.TaskBean)task).getTaskID()))==0) {%>
													<logic:notEqual name="task" property="weight" value="0">
														<td class="black10p" align="right">
															<bean:write name="task" property="weight"/>
														</td>
													</logic:notEqual>
													<% } %>
												</logic:iterate>
												<td class="black10p" align="right">
													<bean:write name="scenario" property="weightAverage"/>
												</td>
											</tr>
											<% i = 0;  %>
											<tr class="contentlite">
												<td class="black10p">
													Characterisation average
												</td>
												<logic:iterate name="scenario" property="tasks" id="task">
													<% j++; if(request.getParameter("taskId") == null && i == 0) { i++; count=j;%>
													<td align="right" class="black10p">
														<bean:write name="task" property="taskAverage"/>
													</td>
													<% } else if(request.getParameter("taskId")!= null && request.getParameter("taskId").compareTo(String.valueOf(((com.mowahs.mwcf.framework.TaskBean)task).getTaskID()))==0) { count = j; %>
													<td align="right" class="black10p">
														<bean:write name="task" property="taskAverage"/>
													</td>
													<% } %>
												</logic:iterate>
												<td align="right" class="black10p">
													<logic:present name="scenario" property="scenarioAverage">
														<bean:write name="scenario" property="scenarioAverage"/>
													</logic:present>
												</td>
											</tr>
										</logic:present>
										<tr height="1">
											<td height="1">&nbsp;
											</td>
										</tr>
										<logic:present name="indicator" property="indicators">
		    								<tr class="pda_headerblue">
												<td colspan="3">
													Calculated complexity indicators
												</td>
											</tr>
											<% i=0; %>
		    								<logic:iterate name="indicator" property="indicators" id="indi">
												<% avg = 0; if(i==0) { i++; %>
												<tr class="contentlite">
												<% } else { i--; %>
												<tr class="contentlight">
												<% }%>
			    									<td class="black10p">
			    										<bean:write name="indi" property="name"/>
			    									</td>
			    									<logic:present name="indi" property="indicatorValues">
				    									<logic:iterate name="indi" property="indicatorValues" id="indiValue">
				    										<% avg++; if(count == avg) { %>
				    										<td class="black10p" align="right">
				    											<bean:write name="indiValue"/>
				    										</td>
				    										<% } else if((j+1) == avg) { %>
				    										<td class="black10p" align="right">
				    											<bean:write name="indiValue"/>
				    										</td>
				    										<% } %>
				    									</logic:iterate>
			    									</logic:present>
			    								</tr>
			    							</logic:iterate>
		    							</logic:present>
	    							</logic:present>
	    							<tr>
			    						<td>&nbsp;
			    						</td>
			    					</tr>
	       						</table>
  	
  	<!-- Page ends -->
  	</td>
  	</tr>
  	<tr>
		<td>
			<html:errors/>
  		</td>
  	</tr>
  	<tr>
  	   	<td align="left" valign="top" bgcolor="#FFFFFF"><img src="images/pda_bottom.gif"></td>
  	</tr>
  	<tr>
	  	<td class="black10p">
  			&copy;2006 by NTNU.
  		</td>
  	</tr>	
</table>
</body>
</html:html>