<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="login.jsp"/>
</logic:notPresent>
<logic:notPresent name="scenario">
	<jsp:forward page="create_scenario.jsp"/>
</logic:notPresent>

<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <div align="right" class="black10p"><a class="menulinks" href="log_out.htm" target="maindata">Log Out</a></div>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
            <logic:present name="user">
            	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            </logic:present>
            <logic:equal name="user" property="accessLevel" value="a">
            	<jsp:include page="menu_elements/admin_menu.html" flush="true"/>
            </logic:equal>
			</table>	           
            
            <p>&nbsp;</p>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375"><img src="images/pixel_336699.gif" width="1" height="100%"></td>	
          <td width="837" align="left" valign="top" height="375"> 
          <table width="400" height="165">
	  			<html:errors/>
				<html:form action="add_role.do" focus="newrole">
    				<tr>
						<td width="400" colspan="2" height="21" class="category">Create scenario
						</td>
    				</tr>
    				<tr>
		 				<td width="400" colspan="2" height="18" class="black10p"> 
		 					Please add one or more roles to the scenario by providing the name of the role below.
		 				</td>
    				</tr>
    				<tr>
		 				<td width="400" colspan="2" height="18" class="black10p"> 
		 					(Fields marked with <font size="2" color="#FF0000">*</font> are required.)
		 				</td>
    				</tr>
    				<tr>
    					<td height="18" colspan="2">
    					</td>
    				</tr>
    				<tr class="header">
						<td width="400" colspan="2" height="18">Scenario details
						</td>
    				</tr>
    				<tr class="contentgrey">
						<td width="100" class="black10p" height="20">Name<font size="2" color="#FF0000">*</font>
						</td>
						<td width="300" class="black10p" align="left" height="20">
  							<bean:write name="scenario" property="name"/>
  						</td>
    				</tr>
    				<tr class="contentblue">
	    				<td width="100" class="black10p" height="20">Description
	    				</td>
	    				<td width="300" class="black10p" height="20" align="left">
	   						<bean:write name="scenario" property="description"/>
	    				</td>
    				</tr>
    				<logic:present name="scenario" property="roles">
	    				<tr class="contentgrey">
							<td width="100" class="black10p" height="20">Roles<font size="2" color="#FF0000">*</font>
							</td>
							<td width="300" class="black10p" align="left" height="20">
								<logic:iterate name="scenario" property="roles" id="role">
									<bean:write name="role" property="value"/><br>
								</logic:iterate>
	  						</td>
	    				</tr>
    				</logic:present>
    				<tr>
    					<td height="18" colspan="2">
    					</td>
    				</tr>	
    				<tr class="header">
						<td width="400" colspan="2" height="18">Role
						</td>
    				</tr>
    				<tr class="contentgrey">
						<td width="100" class="black10p" height="25">Name<font size="2" color="#FF0000">*</font>
						</td>
						<td width="300" class="black10p" align="left" height="25">
  							<html:text property="newRole" size="67" styleClass="black10p"/>
  						</td>
    				</tr>
    				<tr>
	    				<td width="400" class="black10p" height="27" colspan="2">
	    				</td>
    				</tr>
    				<tr>
						<td width="400" class="black10p" height="27" colspan="2" align="right">
  							<html:submit value="Add role" property="submit" styleClass="black10p"/>
  							<logic:present name="scenario" property="roles">
  								<html:submit value="Finish" property="submit" styleClass="black10p"/>
  							</logic:present>
						</td>
    				</tr>
  					</html:form>				
    		</table>
 			</td>	
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
</table>
</body>

</html:html>
