<%@ page language="java" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/WEB-INF/struts-template.tld" prefix="template" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>

<logic:notPresent name="user">
	<jsp:forward page="login.jsp"/>
</logic:notPresent>


<html:html locale="true">
<head>
<title><bean:message key="head.title"/></title>
<link rel="stylesheet" href="black10pt.css" type="text/css">
<link rel="stylesheet" href="mwcf_style.css" type="text/css">
<html:base/>
</head>

<body bgcolor="#89A7C4" text="#000000">
<table width="955" border="0" align="center" cellpadding="0" cellspacing="0" height="500">
  <tr> 
    <td width="385" rowspan="2" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/header_left.gif" width="385" height="79"></td>
    <td height="52" align="left" valign="top" bgcolor="#336699" colspan="2"><img src="images/blue_box.gif" width="27" height="59"></td>
  </tr>
  <tr> 
    <td width="291" height="9" bgcolor="#FFFFFF" class="black10p"><img src="images/white_box.gif" width="20" height="20"></td>
    <td width="291" height="9" bgcolor="#FFFFFF" valign="center"> 
      <div valign="center" align="right" class="black10p"><%= (new java.util.Date() ).toLocaleString() %><img src="images/white_box.gif" width="5" height="5"></div>
    </td>
  </tr>
  <tr> 
    <td width="385" valign="center" bgcolor="#999999" height="13">
    	<b><font face="Arial, Helvetica, sans-serif" size="2" color="#CCCCCC">
    	<font color="#999999">.</font></font>
    	<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">
    	<bean:write name="user" property="accessLevelName"/>: <bean:write name="user" property="name"/>
    	</font></b></td>
    <td height="13" align="right" valign="bottom" bgcolor="#999999"> 
      <div align="right" class="black10p"><html:link forward="log_out" styleClass="menulinks">Log Out</html:link></div>
    </td>
    <td height="13" align="right" valign="top" bgcolor="#999999"><img src="images/header_right.gif" width="268" height="32"></td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="top"> 
    <td colspan="3" height="383"> 
      <table width="955" border="0" height="379">
        <tr> 
          <td width="100" align="left" valign="top" bgcolor="#FFFFFF" height="375"> 
            <logic:present name="user">
            	<jsp:include page="menu_elements/reg_user_menu.html" flush="true"/>
            </logic:present>
            <logic:equal name="user" property="accessLevel" value="a">
            	<jsp:include page="menu_elements/admin_menu.html" flush="true"/>
            </logic:equal>
			</table>	           
            
            <p>&nbsp;</p>
          </td>
          <td width="4" align="left" valign="top" bgcolor="#FFFFFF" height="375"><img src="images/pixel_336699.gif" width="1" height="100%"></td>	
          <td width="5">&nbsp;</td>
          <td width="837" align="left" valign="top" height="375"> 
          
          <!-- PAGE SHOW_GROUPS.JSP STARTS --------------------------------------->
          
          <table border="0" width="500" height="22">
          	<tr><td height="5"></td></tr>
          		<html:form action="validate_characteristic.do">
          	  	<tr>
					<td colspan="4" height="21" class="category">
					Characterise task: <i><bean:write name="task" property="name"/></i>
					</td>
				</tr>
				<logic:present name="group" property="groups">
				<tr>
					<td colspan="4" class="black10p">
						The characterisation process is divided into different groups. 
						The task must be characterised within all groups to retrieve the complexity indicators.
						Click on each group at a time to characterise the task with the characteristics in this group.
						<br>
						<br>
						When the task has been characterised within all groups, the complexity indicators may be calculated. 
						Please click on "Scenario Analysis" in the menu to get the complexity indicators.
						<br>
						<br>
						
					</td>
				
				</tr>
				<tr align="left" valign="top" class="header"> 
	                <td height="13">No</td>
	                <td height="13">Group</td>
	                <td height="13">Description</td>
	                <td height="13">Characterised</td>
	                
            	</tr>
				<%! int i = 0; int j = 0; int gr = 0; int nr = 0;%>
				<jsp:useBean id="group" scope="session" class="com.mowahs.mwcf.framework.GroupBean"/>
				<% nr = (group.getGroups()).size(); %>
				<logic:iterate name="group" property="groups" id="thisgroup">
				<% if(j==0) { j=j+1; %>
				<tr align="left" valign="top" class="contentgrey">
				<% } else { j=j-1; %>
				<tr align="left" valign="top" class="contentblue">
				<% }%>
				<logic:notEqual name="thisgroup" property="noCharacteristics" value="0">
					<td width="20" class="black10p" align="center"><%= (i=i+1) %></td>
					<td width="100" class="black10p">
						<html:link forward="characterise_group" paramId="groupId" paramName="thisgroup" paramProperty="groupID">
						 <bean:write name="thisgroup" property="name"/>
						</html:link>
					</td>
					<td width="450" class="black10p"><font size="1" face="Arial, Helvetica, sans-serif"><bean:write name="thisgroup" property="description"/></font></td>
					<td width="100" class="black10p" align="center">
						<logic:equal name="thisgroup" property="characterised" value="1">Done<% gr=gr+1; %></logic:equal>
						<logic:equal name="thisgroup" property="characterised" value="0"><html:link forward="characterise_group" paramId="groupId" paramName="thisgroup" paramProperty="groupID">Click to characterise</html:link></logic:equal>
					</td>
	            </logic:notEqual>
	            <logic:equal name="thisgroup" property="noCharacteristics" value="0">
	            	<td width="20" class="black10p" align="center"><%= (i=i+1) %></td>
					<td width="100" class="black10p">
						 <bean:write name="thisgroup" property="name"/>
					</td>
					<td width="450" class="black10p"><font size="1" face="Arial, Helvetica, sans-serif"><bean:write name="thisgroup" property="description"/></font></td>
					<td width="100" class="black10p" align="center">
						Does not contain any characteristics yet.
					</td>
	            </logic:equal>
	            </tr>
				</logic:iterate>
				<% i = 0; %>
				
				<tr>
				<td class="black10p" colspan="3">
					Press the "Validate" button to check your characterisation for consistency issues
					</td>
					<td class="black10p" align="right">
						
						<html:submit value="Validate" property="submit" styleClass="black10p"/>
						
					</td>       
				</table>
				<table width="400">
				<% if(gr == nr) { %>
				
				<tr>
					<td colspan="4" class="black10p">
					The results of the validation are not errors,
					but warnings that your characterisation may be inconsistent.
					If you believe that your characterisation is correct, there is no need to change it.
					<br>
					<br>
					</td>
				</tr>
				<% } gr = 0;%>
				<% int j = 1; int k = 0; %>
					<logic:iterate name="validateCharacteristicForm" property="brokenRules" id="thisrule">
	    						<%if(j == 1) { k = 0;%>
	    							<tr align="left" valign="top" class="contentgrey"><td class="black10p" colspan="4"><html:link forward="show_rule" paramId="ruleName" paramName="thisrule"><bean:write name="thisrule"/></html:link>&nbsp;&nbsp;&nbsp(Press this link to edit your characterisation)</td></tr>
	    						<% } else if(j == 2){ k = 0; %>
	    							<tr align="left" valign="top" class="contentgrey"><td class="black10p" colspan="4"><bean:write name="thisrule"/></td></tr>
	    						
	    						<% } else { if(j == 3) { %>
	    						<tr align="left" valign="top" class="contentblue">
	    						<% } %>
	    						<logic:equal name="thisrule" value="or"><tr align="left" valign="top" class="contentblue"></logic:equal>
	    						<logic:equal name="thisrule" value="then"><tr align="left" valign="top" class="contentblue"></logic:equal>
	    						<logic:equal name="thisrule" value="end"><% j = 0; %></logic:equal>
	    						<% if(k==4) { %>
	    						<td class="black10p">(Your value:&nbsp 
	    						<% } %>
	    						<% if(j != 0 && k==5) { %>
	    						<td class="black10p" colspan="4"><bean:write name="thisrule" /></td>
	    						<% } %>
	    						<%if(j != 0 && k < 4) {%>
	    						<td class="black10p"><bean:write name="thisrule" /></td>
	    						<% } else if(k==4) {%>
	    						<bean:write name="thisrule" />
	    						<% } %>
	    						<%if (k==4) { %>
	    						)</td></tr>
	    						<% } %>
	    						<logic:equal name="thisrule" value="or"></tr><tr align="left" valign="top" class="contentblue"><%k=0;%></logic:equal>
	    						<logic:equal name="thisrule" value="then"></tr><tr align="left" valign="top" class="contentblue"><%k=0;%></logic:equal>
	    						<% } j++; k++; %>
	    						
	    			</logic:iterate>
				
				</tr>
				<tr>
					<td class="black10p" colspan="4" align="right">
						<br>
						<html:link forward="show_tasks" paramId="scenarioId" paramName="scenario" paramProperty="scenarioID">Go back to list of tasks in scenario <i><bean:write name="scenario" property="name"/></html:link>
					</td>
				</tr>
	          	</logic:present>
	          	<logic:notPresent name="group" property="groups">
	          	<tr class="black10p">
	 				<td width="749" height="18" colspan="6" >
	 					There are currently no groups in the MWCF framework. 
	 					Please notify the administrator of this site to take the corrective actions.
	 				</td>
				</tr>
			</logic:notPresent>
			</table>
			</html:form>
          	<html:errors/>
 			</td>	
        </tr>
      </table>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF" align="left" valign="bottom"> 
    <td colspan="3" height="2"><img src="images/banner_bottom.gif" width="955" height="45"></td>
  </tr>
  <tr>
  	<td class="black10p">
  		&copy;2003 by NTNU.
  	</td>
  </tr>
</table>
</body>

</html:html>
